<?php
	get_header();
    // $post = $posts[0];
    // Hack. Set $post so that the_date() works.
    /* If this is a category archive */
    if (is_category()) {
        $thisPageTitle = (!empty(get_the_category($post)) ? get_the_category($post)[0]->name : '');
    }
    /* If this is a tag archive */
    elseif( is_tag() ) {
        $thisPageTitle = 'موضوعات وسوم'. single_tag_title();
    }
    /* If this is a daily archive */
    elseif (is_day()) {
        $thisPageTitle = 'أرشيف'. the_time('F jS, Y');
    }
    /* If this is a monthly archive */
    elseif (is_month()) {
        $thisPageTitle = 'أرشيف'. the_time('F, Y');
    }
    /* If this is a yearly archive */
    elseif (is_year()) {
        $thisPageTitle = 'أرشيف'. the_time('Y');
    }
    /* If this is an author archive */
    elseif (is_author()) {
        $thisPageTitle = 'أرشيف العضو';
    }
    /* If this is a paged archive */
    elseif (isset($_GET['paged']) && !empty($_GET['paged'])) {
        $thisPageTitle = 'أرشيف الموقع';
    }

    $page_type = 'home';
    if (isset($_GET['page_type'])) {
        if ($_GET['page_type'] !='') {
            $page_type = $_GET['page_type'];
        }
    }
?>
<section>
    <div class="league py-3">
        <div class="container-fluid">

            <div class="container overflow-hidden">
                <div class="row tabsLinks root leagueMenu ">
                    <div class="logo col-md-4">
                        <a class="leagueTitle d-flex">
                            <?php echo get_the_category($post)[0]->cat_ID;?>
                            <img src="<?php echo cfix_featured_image_url( array( 'size' => 'large','cat_id'=> get_the_category($post)[0]->cat_ID) ); ?>"
                                alt="<?php echo $thisPageTitle; ?>">
                            <h1><?php echo $thisPageTitle; ?></h1>
                        </a>
                    </div>
                    <div class="links col-md-8">
                        <a href="<?php echo get_category_link( get_the_category($post)[0]->cat_ID ); ?>?page_type=home" class="active">الرئيسية</a>
                        <a href="<?php echo get_category_link( get_the_category($post)[0]->cat_ID ); ?>?page_type=videos">فيديوهات</a>
                        <a href="<?php echo get_category_link( get_the_category($post)[0]->cat_ID ); ?>?page_type=matches">مباريات</a>
                        <a href="<?php echo get_category_link( get_the_category($post)[0]->cat_ID ); ?>?page_type=teams">ترتيب الفرق</a>
                    </div>
                </div>

                <?php get_template_part('includes/category/home/intro'); ?>

                <div class="row page-content mt-3 pages position-relative">
                    <div class="col-xl-8 right-side allNews overflow-auto">
                        <div class="container p-0">

                            <div class="row m-0 news">
                                <?php
                                        for ($i=1; $i <= 9; $i++) { 
                                        ?>
                                <div class="new col-sm-6 col-lg-4">
                                    <div class="card news">
                                        <a href="singleNews.php">
                                            <div class="card-header position-relative p-0">
                                                <img src="<?php bloginfo('template_directory');?>/style/assets/images/medium.jpg" alt="yallagoal"
                                                    class="card-img-top">
                                            </div>
                                            <div class="card-body p-0">
                                                <h3 class="card-title">
                                                    مرتضى منصور: تنبأت بخسارة الزمالك أمام إنبي.. ولن نلعب في استاد
                                                    القاهرة
                                                    مرة
                                                    أخرى
                                                </h3>
                                            </div>
                                        </a>
                                        <a href="#" class="categoryTag">الدوري المصري</a>
                                        <div class="newsFooter"> <span class="time">منذ 11 ساعة </span> </div>
                                    </div>
                                </div>
                                <?php } ?>
                                <span class="p-3">
                                    <div class="text-start mt-2 mb-3">
                                        <a href="news.php" class="btn btn-primary"> المزيد من الاخبار
                                            
                                            <i class="fa-solid fa-angle-left"></i></a>
                                    </div>
                                </span>
                            </div>
                            <?php get_template_part('includes/category/home/teams'); ?>
                        </div>
                    </div>
                    <?php get_sidebar(); ?>
                </div>
                <?php get_template_part('includes/category/home/videos'); ?>
            </div>
        </div>
    </div>
</section>

<?php
    get_footer();
?>