<?php
/*
* Creating a function to create our CPT
*/
 
function matchs_post_type() {
 
// Set UI labels for Custom Post Type
    $labels = array(
        'name'                => _x( 'Matchs', 'Post Type General Name' ),
        'singular_name'       => _x( 'Match', 'Post Type Singular Name' ),
        'menu_name'           => __( 'المباريات' ),
        'parent_item_colon'   => __( 'المباراة الأب' ),
        'all_items'           => __( 'جميع المباريات' ),
        'view_item'           => __( 'استعراض المباراة' ),
        'add_new_item'        => __( 'إضافة مباراة جديد' ),
        'add_new'             => __( 'إضافة جديد' ),
        'edit_item'           => __( 'تعديل المباراة' ),
        'update_item'         => __( 'تحديث بيانات المباراة' ),
        'search_items'        => __( 'البحث عن مباراة' ),
        'not_found'           => __( 'غير موجود' ),
        'not_found_in_trash'  => __( 'غير موجود بالمهملات' ),
    );
     
// Set other options for Custom Post Type
     
    $args = array(
        'label'               => __( 'المباريات' ),
        'description'         => __( 'جميع بيانات المباريات' ),
        'labels'              => $labels,
        'supports'            => array( 'title', 'editor', 'thumbnail' ),
    
        'hierarchical'        => false,
        'public'              => true,
        'show_ui'             => true,
        'show_in_menu'        => true,
        'show_in_nav_menus'   => true,
        'show_in_admin_bar'   => true,
        'menu_position'       => 5,
        'can_export'          => true,
        'has_archive'         => true,
        'exclude_from_search' => false,
        'publicly_queryable'  => true,
        'capability_type'     => 'post',
        'taxonomies'          => array('category'),
    );
     
    // Registering your Custom Post Type
    register_post_type( 'Match', $args );
 
}
add_action( 'init', 'matchs_post_type', 0 );



add_action( 'admin_init', 'match_meta_boxes' );
function match_meta_boxes() {
    
    $post_meta_box = array(
        'id'          => 'Match_meta_box',
        'title'       => __( 'بيانات المباراة والمنتخب والجنسية', 'theme-text-domain' ),
        'desc'        => '',
        'pages'       => array( 'Match' ),
        'context'     => 'normal',
        'priority'    => 'high',
        'fields'      => array(
            array(
                'id'          => 'team1',
                'label'       => __( 'الفريق الأول', 'text-domain' ),
                'desc'        => __( 'اختر الفريق من قائمة الفرق', 'text-domain' ),
                'type'        => 'custom-post-type-select',
                'post_type'   => 'Team',
            ),
            array(
                'id'          => 'team2',
                'label'       => __( 'الفريق الثاني', 'text-domain' ),
                'desc'        => __( 'اختر الفريق من قائمة الفرق', 'text-domain' ),
                'type'        => 'custom-post-type-select',
                'post_type'   => 'Team',
            ),
            array(
                'id'          => 'date',
                'label'       => __( 'تاريخ المباراة', 'text-domain' ),
                'desc'        => __( '', 'text-domain' ),
                'std'         => '',
                'type'        => 'date-picker',
            ),
            array(
                'id'          => 'time',
                'label'       => __( 'بداية المباراة', 'text-domain' ),
                'desc'        => __( '', 'text-domain' ),
                'std'         => '',
                'type'        => 'date-time-picker',
            ),
            array(
                'id'          => 'formation_image',
                'label'       => __( 'تشكيل المباراة', 'text-domain' ),
                'desc'        => __( 'اختر الصورة التي توضح تشكيل المباراة', 'text-domain' ),
                'type'        => 'upload',
                'class'       => 'ot-upload-attachment-id', // Optional CSS Class
            ),
            // array(
            //     'id'          => 'details',
            //     'label'       => __( 'أحداث المباراة', 'text-domain' ),
            //     'desc'        => __( 'يمكنك إدخال أحداث المباراة بالكامل من هنا', 'text-domain' ),
            //     'std'         => '',
            //     'type'        => 'list-item',
            // )
        )
    );
    ot_register_meta_box( $post_meta_box );

}


add_action('admin_init', 'match_events', 2);

function match_events() {
    add_meta_box(
            'gpminvoice-group',
            'أحداث المباراة',
            'Repeatable_meta_box_display',
            'Match',
            'normal',
            'default'
        );
}

function Repeatable_meta_box_display() {
    global $post;
    $gpminvoice_group = get_post_meta($post->ID, 'match_events_array', true);
    wp_nonce_field( 'gpm_repeatable_meta_box_nonce', 'gpm_repeatable_meta_box_nonce' );
?>
    <script type="text/javascript">
        jQuery(document).ready(function( $ ){
            $( '#add-row' ).on('click', function() {
                var row = $( '.empty-row.screen-reader-text' ).clone(true);
                row.removeClass( 'empty-row screen-reader-text' );
                row.insertBefore( '#repeatable-fieldset-one tbody>tr:last' );
                return false;
            });

            $( '.remove-row' ).on('click', function() {
                $(this).parents('tr').remove();
                return false;
            });
        });
    </script>
    <table class="wp-list-table widefat fixed striped table-view-list posts" id="repeatable-fieldset-one" width="100%">
        <thead>
            <tr>
                <th width="15%">الدقيقة</th>
                <th width="15%">الفريق</th>
                <th width="15%">النوع</th>
                <th width="45%">الحدث</th>
                <th width="10%">إجراءات</th>
            </tr>
        </thead>
        <tbody>
            <?php
                if ( $gpminvoice_group ) :
                foreach ( $gpminvoice_group as $field ) {
            ?>
                <tr>
                    <td>
                        <input type="text" style="width: 100%;" placeholder="الدقيقة بالارقام فقط" name="EventMinute[]" value="<?php if($field['EventMinute'] != '') echo esc_attr( $field['EventMinute'] ); ?>" />
                    </td>
                    <td>
                        <?php
                            if($field['TeamSide'] == ''){
                                $selectedType = '';
                            } else {
                                $selectedType = esc_attr( $field['TeamSide'] );
                            }
                        ?>
                        <select name="TeamSide[]">
                            <option value="team1" <?php if($selectedType == 'team1') echo 'selected'; ?>>
                                الفريق الأول
                            </option>
                            <option value="team2" <?php if($selectedType == 'team2') echo 'selected'; ?>>
                                الفريق الثاني
                            </option>
                        </select>
                    </td>
                    <td>
                        <?php
                            if($field['ItemType'] == ''){
                                $selectedType = '';
                            } else {
                                $selectedType = esc_attr( $field['ItemType'] );
                            }
                        ?>
                        <select name="ItemType[]">
                            <option value="goal" <?php if($selectedType == 'goal') echo 'selected'; ?>>
                                هدف
                            </option>
                            <option value="off_side" <?php if($selectedType == 'off_side') echo 'selected'; ?>>
                                تسلل
                            </option>
                            <option value="yellow_card" <?php if($selectedType == 'yellow_card') echo 'selected'; ?>>
                                كارت أصفر
                            </option>
                            <option value="red_card" <?php if($selectedType == 'red_card') echo 'selected'; ?>>
                                كارت أحمر
                            </option>
                            <option value="out" <?php if($selectedType == 'out') echo 'selected'; ?>>
                                خروج
                            </option>
                            <option value="in" <?php if($selectedType == 'in') echo 'selected'; ?> >
                                دخول
                            </option>
                            <option value="rest" <?php if($selectedType == 'rest') echo 'selected'; ?>>
                                استراحة
                            </option>
                            <option value="penalty" <?php if($selectedType == 'penalty') echo 'selected'; ?>>
                                ضربة جزاء
                            </option>
                            <option value="news" <?php if($selectedType == 'news') echo 'selected'; ?>>
                                متابعة
                            </option>
                        </select>
                    </td>
                    <td>
                        <textarea placeholder="الحدث الذي تم في هذه الدقيقة" style="width: 100%;" rows="3" name="EventDescription[]"> <?php if ($field['EventDescription'] != '') echo esc_attr( $field['EventDescription'] ); ?> </textarea>
                    </td>
                    <td>
                        <a class="button remove-row" href="#1">
                            حذف
                        </a>
                    </td>
                </tr>
            <?php
                }
                else :
                // show a blank one
            ?>
                <tr>
                    <td>
                        <input type="text"style="width: 100%;" placeholder="الدقيقة بالارقام فقط" title="Title" name="EventMinute[]" />
                    </td>
                    <td>
                        <select name="TeamSide[]">
                            <option value="team1">
                                الفريق الأول
                            </option>
                            <option value="team2">
                                الفريق الثاني
                            </option>
                        </select>
                    </td>
                    <td>
                        <select name="ItemType[]">
                            <option value="goal">هدف</option>
                            <option value="off_side">تسلل</option>
                            <option value="yellow_card">كارت أصفر</option>
                            <option value="red_card">كارت أحمر</option>
                            <option value="out">خروج</option>
                            <option value="in">دخول</option>
                            <option value="rest">استراحة</option>
                            <option value="penalty">ضربة جزاء</option>
                        <option value="news">متابعة</option>
                        </select>
                    </td>
                    <td>
                        <textarea  placeholder="الحدث الذي تم في هذه الدقيقة" style="width: 100%;" name="EventDescription[]" rows="5"></textarea>
                    </td>
                    <td>
                        <a class="button  cmb-remove-row-button button-disabled" href="#">
                            حذف
                        </a>
                    </td>
                </tr>
            <?php endif; ?>

            <!-- empty hidden one for jQuery -->
            <tr class="empty-row screen-reader-text">
                <td>
                    <input type="text"style="width: 100%;" placeholder="الدقيقة بالارقام فقط" title="Title" name="EventMinute[]" />
                </td>
                <td>
                    <select name="TeamSide[]">
                        <option value="team1">
                            الفريق الأول
                        </option>
                        <option value="team2">
                            الفريق الثاني
                        </option>
                    </select>
                </td>
                <td>
                    <select name="ItemType[]">
                        <option value="goal">هدف</option>
                        <option value="off_side">تسلل</option>
                        <option value="yellow_card">كارت أصفر</option>
                        <option value="red_card">كارت أحمر</option>
                        <option value="out">خروج</option>
                        <option value="in">دخول</option>
                        <option value="rest">استراحة</option>
                        <option value="penalty">ضربة جزاء</option>
                        <option value="news">متابعة</option>
                    </select>
                </td>
                <td>
                    <textarea  placeholder="الحدث الذي تم في هذه الدقيقة" style="width: 100%;" name="EventDescription[]" rows="5"></textarea>
                </td>
                <td>
                    <a class="button remove-row" href="#">
                        حذف
                    </a>
                </td>
            </tr>
        </tbody>
    </table>
    <p>
        <a id="add-row" class="button" href="#">حدث جديد</a>
    </p>
<?php
}

add_action('save_post', 'custom_repeatable_meta_box_save');
function custom_repeatable_meta_box_save($post_id) {
    if ( ! isset( $_POST['gpm_repeatable_meta_box_nonce'] ) ||
    ! wp_verify_nonce( $_POST['gpm_repeatable_meta_box_nonce'], 'gpm_repeatable_meta_box_nonce' ) )
        return;

    if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE)
        return;

    if (!current_user_can('edit_post', $post_id))
        return;

    $old = get_post_meta($post_id, 'match_events_array', true);
    $new = array();
    $matchMitutes = $_POST['EventMinute'];
    $events = $_POST['EventDescription'];
    $types = $_POST['ItemType'];
    $TeamSide = $_POST['TeamSide'];
    for ( $i = 0; $i < count( $matchMitutes ); $i++ ) {
        if ( $matchMitutes[$i] != '' ) :
            $new[$i]['EventMinute'] = stripslashes( strip_tags( $matchMitutes[$i] ) );
            $new[$i]['EventDescription'] = stripslashes( $events[$i] );
            $new[$i]['ItemType'] = stripslashes( $types[$i] );
            $new[$i]['TeamSide'] = stripslashes( $TeamSide[$i] );
            // and however you want to sanitize
        endif;
    }
    if ( !empty( $new ) && $new != $old )
        update_post_meta( $post_id, 'match_events_array', $new );
    elseif ( empty($new) && $old )
        delete_post_meta( $post_id, 'match_events_array', $old );
}