<?php
/*
* Creating a function to create our CPT
*/
 
function players_post_type() {
 
// Set UI labels for Custom Post Type
    $labels = array(
        'name'                => _x( 'Players', 'Post Type General Name' ),
        'singular_name'       => _x( 'Player', 'Post Type Singular Name' ),
        'menu_name'           => __( 'اللاعبين' ),
        'parent_item_colon'   => __( 'اللاعب الأب' ),
        'all_items'           => __( 'جميع اللاعبين' ),
        'view_item'           => __( 'استعراض اللاعب' ),
        'add_new_item'        => __( 'إضافة لاعب جديد' ),
        'add_new'             => __( 'إضافة جديد' ),
        'edit_item'           => __( 'تعديل اللاعب' ),
        'update_item'         => __( 'تحديث بيانات اللاعب' ),
        'search_items'        => __( 'البحث عن لاعب' ),
        'not_found'           => __( 'غير موجود' ),
        'not_found_in_trash'  => __( 'غير موجود بالمهملات' ),
    );
     
// Set other options for Custom Post Type
     
    $args = array(
        'label'               => __( 'اللاعبين' ),
        'description'         => __( 'جميع بيانات اللاعبين' ),
        'labels'              => $labels,
        'supports'            => array( 'title', 'editor', 'thumbnail' ),
    
        'hierarchical'        => false,
        'public'              => true,
        'show_ui'             => true,
        'show_in_menu'        => true,
        'show_in_nav_menus'   => true,
        'show_in_admin_bar'   => true,
        'menu_position'       => 5,
        'can_export'          => true,
        'has_archive'         => true,
        'exclude_from_search' => false,
        'publicly_queryable'  => true,
        'capability_type'     => 'post',
    );
     
    // Registering your Custom Post Type
    register_post_type( 'Player', $args );
 
}
add_action( 'init', 'players_post_type', 0 );



add_action( 'admin_init', 'players_meta_boxes' );
function players_meta_boxes() {
    
    $post_meta_box = array(
        'id'          => 'Player_meta_box',
        'title'       => __( 'بيانات اللاعب والمنتخب والجنسية', 'theme-text-domain' ),
        'desc'        => '',
        'pages'       => array( 'Player' ),
        'context'     => 'normal',
        'priority'    => 'high',
        'fields'      => array(
            array(
                'id'          => 'player_team',
                'label'       => __( 'الفريق', 'text-domain' ),
                'desc'        => __( 'اختر الفرق الحالي للاعب', 'text-domain' ),
                'type'        => 'custom-post-type-select',
                'post_type'   => 'Team',
            ),
            array(
                'id'          => 'player_team_number',
                'label'       => __( 'رقم قميص النادي', 'text-domain' ),
                'desc'        => __( '', 'text-domain' ),
                'type'        => 'text',
            ),
            array(
                'id'          => 'player_national',
                'label'       => __( 'المنتخب', 'text-domain' ),
                'desc'        => __( 'اختر المنتخب الخاص باللاعب', 'text-domain' ),
                'type'        => 'custom-post-type-select',
                'post_type'   => 'Team',
            ),
            array(
                'id'          => 'player_national_number',
                'label'       => __( 'رقم قميص المنتخب', 'text-domain' ),
                'desc'        => __( '', 'text-domain' ),
                'type'        => 'text',
            ),
            array(
                'id'          => 'player_position',
                'label'       => __( 'مركز اللاعب', 'text-domain' ),
                'desc'        => __( '', 'text-domain' ),
                'type'        => 'select',
                'choices'     => array( 
                    array(
                        'value'       => 'GK',
                        'label'       => __( 'حارس مرمى', 'text-domain' ),
                    ),
                    array(
                        'value'       => 'CB',
                        'label'       => __( 'مدافع', 'text-domain' ),
                    ),
                    array(
                        'value'       => 'LB',
                        'label'       => __( 'باك ليفت', 'text-domain' ),
                    ),
                    array(
                        'value'       => 'RB',
                        'label'       => __( 'باك رايت', 'text-domain' ),
                    ),
                    array(
                        'value'       => 'LWF',
                        'label'       => __( 'جناح شمال', 'text-domain' ),
                    ),
                    array(
                        'value'       => 'CMF',
                        'label'       => __( 'وسط ملعب', 'text-domain' ),
                    ),
                    array(
                        'value'       => 'DMF',
                        'label'       => __( 'وسط ملعب مدافع', 'text-domain' ),
                    ),
                    array(
                        'value'       => 'AMF',
                        'label'       => __( 'وسط ملعب مهاجم', 'text-domain' ),
                    ),
                    array(
                        'value'       => 'RWF',
                        'label'       => __( 'جناح يمين', 'text-domain' ),
                    ),
                    array(
                        'value'       => 'CF',
                        'label'       => __( 'مهاجم', 'text-domain' ),
                    )
                )
            )
        )
    );
    ot_register_meta_box( $post_meta_box );

} 