<?php
/*
* Creating a function to create our CPT
*/
 
function teams_post_type() {
 
// Set UI labels for Custom Post Type
    $labels = array(
        'name'                => _x( 'Teams', 'Post Type General Name' ),
        'singular_name'       => _x( 'Team', 'Post Type Singular Name' ),
        'menu_name'           => __( 'فرق ومنتخبات' ),
        'parent_item_colon'   => __( 'الفريق الأب' ),
        'all_items'           => __( 'جميع الفرق' ),
        'view_item'           => __( 'استعراض الفريق' ),
        'add_new_item'        => __( 'إضافة فريق جديد' ),
        'add_new'             => __( 'إضافة جديد' ),
        'edit_item'           => __( 'تعديل الفريق' ),
        'update_item'         => __( 'تحديث بيانات الفريق' ),
        'search_items'        => __( 'البحث عن فريق' ),
        'not_found'           => __( 'غير موجود' ),
        'not_found_in_trash'  => __( 'غير موجود بالمهملات' ),
    );
     
// Set other options for Custom Post Type
     
    $args = array(
        'label'               => __( 'فرق ومنتخبات' ),
        'description'         => __( 'جميع بيانات لفرق والمنتخبات' ),
        'labels'              => $labels,
        'supports'            => array( 'title', 'editor', 'thumbnail' ),
        'hierarchical'        => false,
        'public'              => true,
        'show_ui'             => true,
        'show_in_menu'        => true,
        'show_in_nav_menus'   => true,
        'show_in_admin_bar'   => true,
        'menu_position'       => 5,
        'can_export'          => true,
        'has_archive'         => true,
        'exclude_from_search' => false,
        'publicly_queryable'  => true,
        'capability_type'     => 'post',
        'taxonomies'          => array('category'),
    );
     
    // Registering your Custom Post Type
    register_post_type( 'Team', $args );
 
}
add_action( 'init', 'teams_post_type', 0 );



// add_action( 'admin_init', 'post_meta_boxes' );
// function post_meta_boxes() {
    
//     $post_meta_box = array(
//         'id'          => 'Team_meta_box',
//         'title'       => __( 'بيانات تفصيلية', 'theme-text-domain' ),
//         'desc'        => '',
//         'pages'       => array( 'Team' ),
//         'context'     => 'normal',
//         'priority'    => 'high',
//         'fields'      => array(
//         array(
//             'type'        => 'text',
//             'label'        => 'Team title in french',
//             'desc'        => '',
//             'id'          => 'Team_title_fr', 
//             'std'         => '',
//             'class'       => '',
//             'choices'     => array(
//                 array( 
//                     'value' => 'yes',
//                     'label' => 'Yes' 
//                 )
//             )
//             ),
//         )
//     );
//     ot_register_meta_box( $post_meta_box );

// } 