<?php
/*
* Creating a function to create our CPT
*/
 
function videos_post_type() {
 
// Set UI labels for Custom Post Type
    $labels = array(
        'name'                => _x( 'videos', 'Post Type General Name' ),
        'singular_name'       => _x( 'video', 'Post Type Singular Name' ),
        'menu_name'           => __( 'الفيديوهات' ),
        'parent_item_colon'   => __( 'الفيديو الأب' ),
        'all_items'           => __( 'جميع الفيديوهات' ),
        'view_item'           => __( 'استعراض الفيديو' ),
        'add_new_item'        => __( 'إضافة فيديو جديد' ),
        'add_new'             => __( 'إضافة جديد' ),
        'edit_item'           => __( 'تعديل الفيديو' ),
        'update_item'         => __( 'تحديث بيانات الفيديو' ),
        'search_items'        => __( 'البحث عن فيديو' ),
        'not_found'           => __( 'غير موجود' ),
        'not_found_in_trash'  => __( 'غير موجود بالمهملات' ),
    );
     
// Set other options for Custom Post Type
     
    $args = array(
        'label'               => __( 'الفيديوهات' ),
        'description'         => __( 'جميع بيانات الفيديوهات' ),
        'labels'              => $labels,
        'supports'            => array( 'title', 'editor', 'thumbnail' ),
    
        'hierarchical'        => false,
        'public'              => true,
        'show_ui'             => true,
        'show_in_menu'        => true,
        'show_in_nav_menus'   => true,
        'show_in_admin_bar'   => true,
        'menu_position'       => 5,
        'can_export'          => true,
        'has_archive'         => true,
        'exclude_from_search' => false,
        'publicly_queryable'  => true,
        'capability_type'     => 'post',
        'taxonomies'          => array('category'),
    );
     
    // Registering your Custom Post Type
    register_post_type( 'video', $args );
 
}
add_action( 'init', 'videos_post_type', 0 );



add_action( 'admin_init', 'video_meta_boxes' );
function video_meta_boxes() {
    
    $post_meta_box = array(
        'id'          => 'video_meta_box',
        'title'       => __( 'بيانات الفيديو والمنتخب والجنسية', 'theme-text-domain' ),
        'desc'        => '',
        'pages'       => array( 'video' ),
        'context'     => 'normal',
        'priority'    => 'high',
        'fields'      => array(
            array(
                'id'          => 'team',
                'label'       => __( 'الفريق', 'text-domain' ),
                'desc'        => __( 'اختر الفريق من قائمة الفرق', 'text-domain' ),
                'type'        => 'custom-post-type-select',
                'post_type'   => 'Team',
            ),
            array(
                'id'          => 'player',
                'label'       => __( 'اللاعب', 'text-domain' ),
                'desc'        => __( 'اختر الاعب من قائمة اللاعبين', 'text-domain' ),
                'type'        => 'custom-post-type-select',
                'post_type'   => 'Player',
            ),
            array(
                'id'          => 'video_code',
                'label'       => __( 'كود الفيديو', 'text-domain' ),
                'desc'        => __( 'ادخل رابط الفيديو فقط وسوف يقوم الموقع بصناعة كود التضمين تلقائياً', 'text-domain' ),
                'std'         => '',
                'type'        => 'textarea',
                'rows'        => '3',
            )
        )
    );
    ot_register_meta_box( $post_meta_box );

} 


/**
 * how to use date time picker
 * 
 */

 
// // Get the value saved on Theme Options Page
// $spyr_demo_date_time_picker = ot_get_option( 'spyr_demo_date_time_picker' );

// // Get the value saved for a Page, Post or CPT ( Within the loop )
// $spyr_demo_date_time_picker = get_post_meta( $post->ID, 'spyr_demo_date_time_picker', true );

// // Checking if the date has passed
// $date = new DateTime( ot_get_option( 'spyr_demo_date_time_picker' ) );
// $now  = new DateTime( "now" );

// // Compare the 2 dates
// // Not that this example assumes you have not changed the date format
// // through the ot_type_date_time_picker_date_format filter like shown below
// if( $now > $date ) {
//     echo 'Date is in the past';
// } else {
//     echo 'Date has not passed yet';
// }

// // Change displayed format and returnd value
// // Defaults to yy-mm-dd
// // Not recommended but it's possible
// add_filter( 'ot_type_date_time_picker_date_format', 'spyr_modify_date_time_picker_date_format', 10, 2 );
// function spyr_modify_date_time_picker_date_format( $format, $field_id ) {
//     if( 'spyr_demo_date_time_picker' == $field_id ) {
//         return 'mm-dd-yy';
//     }
// }