<?php
/**
 * Required: set 'ot_theme_mode' filter to true.
 */
add_filter( 'ot_theme_mode', '__return_true' );

/**
 * Required: include OptionTree.
 */
require( trailingslashit( get_template_directory() ) . 'option-tree/ot-loader.php' );

/** Theme Options */
require( trailingslashit( get_template_directory() ) . 'option-tree/includes/theme-options.php' );
	
/*if (is_admin() and isset($_GET['activated']) and $pagenow == "themes.php")
	wp_redirect('admin.php?page=arabserv.php');
//require_once TEMPLATEPATH.'/posttypes/bedon-tafasell.php';
require_once TEMPLATEPATH.'/posttypes/pics.php';
require_once TEMPLATEPATH.'/posttype/photos.php';
require_once TEMPLATEPATH.'/posttype/sliders.php';
require_once TEMPLATEPATH.'/posttype/testmonials.php';
require_once TEMPLATEPATH.'/posttype/partners.php';
require_once TEMPLATEPATH.'/posttype/videos.php';
require_once TEMPLATEPATH.'/posttype/courses.php';
require_once TEMPLATEPATH.'/posttype/test-center.php';
require_once TEMPLATEPATH.'/posttype/students.php';*/
// require_once TEMPLATEPATH.'/plugins/facebook-widget.php';
// require_once TEMPLATEPATH.'/plugins/left-ad-widget.php';
require_once TEMPLATEPATH.'/plugins/posts-list-widget.php';
require_once TEMPLATEPATH.'/plugins/posts-pics-list-widget.php';
// require_once TEMPLATEPATH.'/metabox/user-adsense-code.php';
require_once TEMPLATEPATH.'/metabox/posts-meta.php';
require_once TEMPLATEPATH.'/metabox/add_custom_menu_item_fields.php';
require_once TEMPLATEPATH.'/metabox/add_meta_to_pages.php';
require_once TEMPLATEPATH.'/includes/lang/langs.php';

require_once TEMPLATEPATH.'/plugins/bootstrap4/Bootstrap-navwalker.php';
require_once TEMPLATEPATH.'/plugins/category-featured-images-extended/category-featured-images-extended.php';

//custom post types
// require_once TEMPLATEPATH.'/custom-post/teams.php';
// require_once TEMPLATEPATH.'/custom-post/players.php';
// require_once TEMPLATEPATH.'/custom-post/matchs.php';
// require_once TEMPLATEPATH.'/custom-post/videos.php';



//pagenation
function wpbeginner_numeric_posts_nav() {

	if( is_singular() )
		return;

	global $wp_query;

	/** Stop execution if there's only 1 page */
	if( $wp_query->max_num_pages <= 1 )
		return;

	$paged = get_query_var( 'paged' ) ? absint( get_query_var( 'paged' ) ) : 1;
	$max   = intval( $wp_query->max_num_pages );

	/**	Add current page to the array */
	if ( $paged >= 1 )
		$links[] = $paged;

	/**	Add the pages around the current page to the array */
	if ( $paged >= 3 ) {
		$links[] = $paged - 1;
		$links[] = $paged - 2;
	}

	if ( ( $paged + 2 ) <= $max ) {
		$links[] = $paged + 2;
		$links[] = $paged + 1;
	}

	echo '<div class="pagination"><ul>' . "\n";

	/**	Previous Post Link 
	 *if ( get_previous_posts_link() )
	 *printf( '<li>%s</li>' . "\n", get_previous_posts_link() );*/

	/**	Link to first page, plus ellipses if necessary */
	if ( ! in_array( 1, $links ) ) {
		$class = 1 == $paged ? ' class="active"' : '';

		printf( '<li%s><a href="%s">%s</a></li>' . "\n", $class, esc_url( get_pagenum_link( 1 ) ), '1' );

		if ( ! in_array( 2, $links ) )
			echo '<li>…</li>';
	}

	/**	Link to current page, plus 2 pages in either direction if necessary */
	sort( $links );
	foreach ( (array) $links as $link ) {
		$class = $paged == $link ? ' class="active"' : '';
		printf( '<li%s><a href="%s">%s</a></li>' . "\n", $class, esc_url( get_pagenum_link( $link ) ), $link );
	}

	/**	Link to last page, plus ellipses if necessary */
	if ( ! in_array( $max, $links ) ) {
		if ( ! in_array( $max - 1, $links ) )
			echo '<li>…</li>' . "\n";

		$class = $paged == $max ? ' class="active"' : '';
		printf( '<li%s><a href="%s">%s</a></li>' . "\n", $class, esc_url( get_pagenum_link( $max ) ), $max );
	}

	/**	Next Post Link 
	 *if ( get_next_posts_link() )
	 *	printf( '<li>%s</li>' . "\n", get_next_posts_link() );*/

	echo '</ul></div>' . "\n";

}
//end code




//traking view count code

function getPostViews($postID){
    $count_key = 'post_views_count';
    $count = get_post_meta($postID, $count_key, true);
    if($count==''){
        delete_post_meta($postID, $count_key);
        add_post_meta($postID, $count_key, '0');
        return "0";
    }
    return $count;
}
function setPostViews($postID) {
    $count_key = 'post_views_count';
    $count = get_post_meta($postID, $count_key, true);
    if($count==''){
        $count = 0;
        delete_post_meta($postID, $count_key);
        add_post_meta($postID, $count_key, '0');
    }else{
        $count++;
        update_post_meta($postID, $count_key, $count);
    }
}

// Remove issues with prefetching adding extra views
remove_action( 'wp_head', 'adjacent_posts_rel_link_wp_head', 10, 0); 

//end of the counter code

function excerpt($limit) {
  $excerpt = explode(' ', get_the_excerpt(), $limit);
  if (count($excerpt)>=$limit) {
    array_pop($excerpt);
    $excerpt = implode(" ",$excerpt).'...';
  } else {
    $excerpt = implode(" ",$excerpt);
  }	
  $excerpt = preg_replace('`\[[^\]]*\]`','',$excerpt);
  return $excerpt;
}
 
function content($limit) {
  $content = explode(' ', get_the_content(), $limit);
  if (count($content)>=$limit) {
    array_pop($content);
    $content = implode(" ",$content).'...';
  } else {
    $content = implode(" ",$content);
  }	
  $content = preg_replace('/\[.+\]/','', $content);
  $content = apply_filters('the_content', $content); 
  $content = str_replace(']]>', ']]&gt;', $content);
  return $content;
}

// function getMatchStatus()
// {
// 	date_default_timezone_set('Africa/Cairo');
// 	$status = 'لم تبدأ';
// 	$class = 'notYet';
// 	$minute = '0';
//     $time = get_post_meta( get_the_id(), 'time' );
// 	if ($time[0] != '') {
// 		$match_end = strtotime("+105 minutes", strtotime($time[0]));
// 		$start_date = new DateTime($time[0]);
// 		$since_start = $start_date->diff(new DateTime(date('Y-m-d H:i:s',$match_end)));
// 		if (strtotime($time[0]) <= strtotime(date('Y-m-d H:i:s')) 
// 			&& $match_end >= strtotime(date('Y-m-d H:i:s'))) {
// 			$status = 'مباشر';
// 			$class = 'live';
// 			$minute = $since_start->i;
// 		} elseif (strtotime($time[0]) > strtotime(date('Y-m-d H:i:s'))) {
// 			$status = 'لم تبدأ';
// 			$class = 'notYet';
// 		} else {
// 			$status = 'انتهت';
// 			$class = 'ended';
// 		}
// 	}
// 	return [
// 		'text' => $status,
// 		'class' => $class,
// 		'minute' => date('H:i',strtotime($time[0]))
// 	];
// }

// add_action( 'admin_init', 'getMatchStatus' );

// function getMatchTeams()
// {
// 	$team1 = get_post_meta( get_the_id(), 'team1' );
// 	$team1data = get_post( $team1[0] );
// 	$team1image = get_template_directory_uri().'/style/assets/images/no-image.jpg';
// 	if (has_post_thumbnail( $team1[0] ) )
// 		$team1image = get_the_post_thumbnail_url($team1[0],'medium');

// 	$team2 = get_post_meta( get_the_id(), 'team2' );
// 	$team2data = get_post( $team2[0] );
// 	$team2image = get_template_directory_uri().'/style/assets/images/no-image.jpg';
// 	if (has_post_thumbnail( $team2[0] ) )
// 		$team2image = get_the_post_thumbnail_url($team2[0],'medium');

// 	return [
// 		'team_1' => [
// 			'data' => $team1data,
// 			'image' => $team1image
// 		],
// 		'team_2' => [
// 			'data' => $team2data,
// 			'image' => $team2image
// 		]
// 	];
// }

// add_action( 'admin_init', 'getMatchTeams' );

// function getMatchStates()
// {
// 	$team1_score = $team2_score = 0;
// 	$team1events = $team2events = [];
// 	$match_events_array = get_post_meta( get_the_id(), 'match_events_array', true);
// 	if (is_array($match_events_array)) {
// 		if (count($match_events_array) > 0) {
// 			foreach ($match_events_array as $key => $value) {
// 				if ($value['TeamSide'] == 'team1') {
// 					$team1events[] = $value;
// 				}
// 				if ($value['TeamSide'] == 'team2') {
// 					$team2events[] = $value;
// 				}
// 				if ($value['TeamSide'] == 'team1' && $value['ItemType'] == 'goal') {
// 					$team1_score++;
// 				}
// 				if ($value['TeamSide'] == 'team2' && $value['ItemType'] == 'goal') {
// 					$team2_score++;
// 				}
// 			}
// 		}
// 	}

// 	// $team1_score = get_post_meta( get_the_id(), 'team1_score' );
// 	// if ($team1_score != '') {
// 	// 	$team1_score = $team1_score[0];
// 	// }
//     // $team2_score = get_post_meta( get_the_id(), 'team2_score' );
// 	// if ($team2_score != '') {
// 	// 	$team2_score = $team2_score[0];
// 	// }

// 	return [
// 		'team_1' => $team1_score,
// 		'team_2' => $team2_score,
// 		'team1events' => $team1events,
// 		'team2events' => $team2events,
// 		'allevents' => $match_events_array
// 	];
// }

// add_action( 'admin_init', 'getMatchStates' );

function getArabicDate($your_date)
{
	$months = array("Jan" => "يناير", "Feb" => "فبراير", "Mar" => "مارس", "Apr" => "أبريل", "May" => "مايو", "Jun" => "يونيو", "Jul" => "يوليو", "Aug" => "أغسطس", "Sep" => "سبتمبر", "Oct" => "أكتوبر", "Nov" => "نوفمبر", "Dec" => "ديسمبر");
	//$your_date = date('y-m-d'); // The Current Date
	$en_month = date("M", strtotime($your_date));
	foreach ($months as $en => $ar) {
		if ($en == $en_month) { $ar_month = $ar; }
	}

	$find = array ("Sat", "Sun", "Mon", "Tue", "Wed" , "Thu", "Fri");
	$replace = array ("السبت", "الأحد", "الإثنين", "الثلاثاء", "الأربعاء", "الخميس", "الجمعة");
	$ar_day_format = date("D", strtotime($your_date)); // The Current Day
	$ar_day = str_replace($find, $replace, $ar_day_format);

	$standard = array("0","1","2","3","4","5","6","7","8","9");
	$eastern_arabic_symbols = array("٠","١","٢","٣","٤","٥","٦","٧","٨","٩");
	$current_date = $ar_day.' '.date('d', strtotime($your_date)).' / '.$ar_month.' / '.date('Y', strtotime($your_date));
	$arabic_date = str_replace($standard , $eastern_arabic_symbols , $current_date);

	return [
		'full' => $arabic_date,
		'day' => $ar_day,
		'date' => date('d', strtotime($your_date)).'-'.date('m', strtotime($your_date)).'-'.date('Y', strtotime($your_date)),
		'post_date' => date('d', strtotime($your_date)).' '.$ar_month.' '.date('Y', strtotime($your_date))
	];
}
add_action( 'admin_init', 'getArabicDate' );

function getPagesLinks()
{
    $videos_page = ot_get_option( 'videos_page' );
    $news_page = ot_get_option( 'news_page' );
    $matches_page = ot_get_option( 'matches_page' );

	return [
		'videos' => get_permalink( $videos_page ),
		'news' => get_permalink( $news_page ),
		'matches' => get_permalink( $matches_page )
	];
}

add_action( 'admin_init', 'getPagesLinks' );

function getMatches5Days($date)
{
	$days = [
		[
			'date' => date('Y-m-d' ,strtotime($date." -2day")),
			'class' => 'first',
			'date_str' => strtotime(date('Y-m-d' ,strtotime($date." -2day")))
		],
		[
			'date' => date('Y-m-d' ,strtotime($date." -1day")),
			'class' => 'sec',
			'date_str' => strtotime(date('Y-m-d' ,strtotime($date." -1day")))
		],
		[
			'date' => $date,
			'class' => 'midday active',
			'date_str' => strtotime($date)
		],
		[
			'date' => date('Y-m-d' ,strtotime($date." +1day")),
			'class' => 'sami',
			'date_str' => strtotime(date('Y-m-d' ,strtotime($date." +1day")))
		],
		[
			'date' => date('Y-m-d' ,strtotime($date." +2day")),
			'class' => 'last',
			'date_str' => strtotime(date('Y-m-d' ,strtotime($date." +2day")))
		]
	];

	return $days;
}

add_action( 'admin_init', 'getMatches5Days' );

function getCategoriesListOptions($league = null,$page_status = null,$selected_date = null)
{
	$list = [];
	$cat_args=array(
		'orderby' => 'name',
		'order' => 'ASC',
		);
	$categories=get_categories($cat_args);
	foreach($categories as $category) {
		if ($category->parent > 0) {
			$args = array(
				'posts_per_page' => '-1',
				'post_type' => 'Match',
				'cat' => $category->cat_ID,
				'meta_query' => array(
					array(
						'key' => 'date',
						'value' => $selected_date,
						'compare' => '='
					)
				),
				'post_status' => 'publish'
			);
			$today_matches = new WP_Query ( $args);
			if($today_matches->have_posts()) :
				$list[] = [
					'id' => $category->cat_ID,
					'value' => get_permalink().'?&page_status='.$page_status.'&league='.$category->cat_ID.'&selected_date='.strtotime($selected_date),
					'name' => $category->cat_name
				];
			endif;
		}
	}

	return $list;
}

add_action( 'admin_init', 'getCategoriesListOptions' );

function getCategoriesListForMatches($league = null,$page_status = null,$selected_date = null)
{
	$list = [];
	$cat_args=array(
		'orderby' => 'name',
		'order' => 'ASC',
		);
	$categories=get_categories($cat_args);
	foreach($categories as $category) {
		if ($category->parent > 0) {
			$args = array(
				'posts_per_page' => '-1',
				'post_type' => 'Match',
				'cat' => $category->cat_ID,
				'meta_query' => array(
					array(
						'key' => 'date',
						'value' => $selected_date,
						'compare' => '='
					)
				),
				'post_status' => 'publish'
			);
			$today_matches = new WP_Query ( $args);
			if($today_matches->have_posts()) :
				if ($league == 'all') {
					$list[] = [
						'id' => $category->cat_ID,
						'value' => get_permalink().'?&page_status='.$page_status.'&league='.$category->cat_ID.'&selected_date='.strtotime($selected_date),
						'name' => $category->cat_name
					];
				} else {
					if ($category->cat_ID == $league) {
						$list[] = [
							'id' => $category->cat_ID,
							'value' => get_permalink().'?&page_status='.$page_status.'&league='.$category->cat_ID.'&selected_date='.strtotime($selected_date),
							'name' => $category->cat_name
						];
					}
				}
			endif;
		}
	}

	return $list;
}

add_action( 'admin_init', 'getCategoriesListForMatches' );

function thePostThubmailLink($size = 'medium')
{
	$photo = get_template_directory_uri().'/style/assets/images/no-image.jpg';
	if (has_post_thumbnail( get_the_id() ) )
		$photo = get_the_post_thumbnail_url(get_the_id(),$size);

	return $photo;
}

add_action( 'admin_init', 'thePostThubmailLink' );

function getTheLang()
{
	if (!isset($_SESSION['lang'])) {
		// If not, create a session variable for language and set its default value
		$_SESSION['lang'] = 'en'; // Default language is English ('en')
	}
	if (isset($_GET['lang'])) {
		// if ($_GET['lang'] == 'ar') {
			$_SESSION['lang'] = $_GET['lang'];
		// }
	}
	$lang = $_SESSION['lang'];
	return $lang;
}

add_action( 'admin_init', 'getTheLang' );


function getTheLangSwitcher()
{
	$data = 'ar';
	if (getTheLang() == 'ar') {
		$data = 'EN';
	}
	return $data;
}

add_action( 'admin_init', 'getTheLangSwitcher' );

function getSettingValue($key)
{
	$value = '';
	if ( function_exists( 'ot_get_option' ) ) {
		$value = ot_get_option($key);
	}
	return $value;
}

add_action( 'admin_init', 'getSettingValue' );

function remove_query_parameters() {
	// Check if the current request is within the WP Admin area
    if (is_admin()) {
        return; // Don't modify the URL for WP Admin routes
    }
	global $wp_query;
    // Get the current URL
    $current_url = home_url(add_query_arg(array(), $_SERVER['REQUEST_URI']));

    // Check if the URL has parameters
    if (strpos($current_url, '?') !== false) {
        // Remove parameters from the URL
        $current_url = remove_query_arg(array_keys($_GET), $current_url);
    }

    // Output the modified URL
    echo esc_url($current_url);
}

add_action( 'admin_init', 'remove_query_parameters' );

function thePostAuthor()
{
    
    $post_author_id = get_post_field ('post_author', get_the_id() );
    
    $author =  new WP_User( $post_author_id );
    
    $display_name = $author->display_name;
    
    $avartar = get_avatar_url( $post_author_id, ['size' => '40'] ); // get_avatar( userid, size )
    
    $author_url = get_author_posts_url( $post_author_id );
	
	return [
		'name' => $display_name,
		'avartar' => $avartar,
		'author_url' => $author_url,
		'id' => $post_author_id
	];
}
add_action( 'admin_init', 'thePostAuthor' );

if ( function_exists('register_sidebar') ) {
    
	register_sidebar(array(
    	'name' => 'leftsidebar',
		'id' => 'leftsidebar',
        'before_widget' => '<div class="widget">',
        'after_widget' => '</div>',
        'before_title' => '<div class="wedgit-head"><h2>',
        'after_title' => '</h2></div>',
    ));
    

}

    if ( function_exists( 'register_nav_menus' ) ) {
    	register_nav_menus(
    		array(
				'headermenu_ar' => 'القائمة الرئيسية',
				'footer_menu' => 'القائمة بالفوتر',
    		)
    	);
    }


function string_limit_words($string, $word_limit)
{
  $words = explode(' ', $string, ($word_limit + 1));
  if(count($words) > $word_limit)
  array_pop($words);
  return implode(' ', $words);
}


add_theme_support( 'post-thumbnails' ); 


function checkloggedinuser()
{
	$currentuserid_fromjwt = get_current_user_id();
	print_r($currentuserid_fromjwt);
	exit;
}

add_action('rest_api_init', function ()
{
  register_rest_route( 'testone', 'loggedinuser',array(
  'methods' => 'POST',
  'callback' => 'checkloggedinuser'
  ));
});


function recent_comments( $posts = 5, $size = 25 ) {
	global $wpdb;
	$sql = "SELECT DISTINCT ID, post_title, post_password, comment_ID,
		comment_post_ID, comment_author, comment_author_email, comment_date_gmt, comment_approved,
		comment_type,comment_author_url,
		SUBSTRING(comment_content,1,65) AS com_excerpt
		FROM $wpdb->comments
		LEFT OUTER JOIN $wpdb->posts ON ($wpdb->comments.comment_post_ID =
		$wpdb->posts.ID)
		WHERE comment_approved = '1' AND comment_type = '' AND
		post_password = ''
		ORDER BY comment_date_gmt DESC LIMIT ".$posts;
	
	$comments = $wpdb->get_results($sql);
	
	foreach ($comments as $comment) {
?>
<li>
	<?php //echo get_avatar( $comment, $size ); ?>
	<div class="info">
		<a href="<?php echo get_permalink($comment->ID); ?>#comment-<?php echo $comment->comment_ID; ?>" title="<?php _e('on ', 'showtime'); ?> <?php echo $comment->post_title; ?>">
		<?php echo strip_tags($comment->comment_author); ?> على <?php echo strip_tags($comment->post_title); ?>...
		</a>
		<!--<span class="meta"><?php the_time('j F Y'); ?></span>-->
	</div>
	<div class="clear"></div>
</li>
<?php
}
}
?>