<?php session_start(); ?>
<!DOCTYPE html>
<html lang="<?php echo getTheLang(); ?>" dir="<?php echo getTheLang() == 'ar' ? 'rtl' : 'ltr'; ?>">
<head>
    <meta charset="UTF-8" />
    <meta name="description" content="<?php echo ot_get_option( 'site_description');?>" />
    <meta name="keywords" content="<?php echo ot_get_option( 'site_keywords');?>" />
    <meta name="author" content="TechnoMasr.Com" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta property="og:url" content="<?php global $wp; echo home_url( $wp->request ) ?>" />
    <meta property="og:type" content="article" />
    <meta property="og:title" content="
        <?php
            if(is_home()) {
                bloginfo('name');
            }elseif(is_category()) {
                single_cat_title();  echo ' - ' ; bloginfo('name') ;
            }elseif(is_single()) {
                the_title();  echo ' - ' ; bloginfo('name') ;
            }elseif(is_archive()){
                single_tag_title();  echo ' - ' ; bloginfo('name') ;
                
            }elseif(is_search()) {
                echo 'نتائج البحث"'.$s.'"';
            }elseif(is_404()) {
                bloginfo('name');
                echo ' | الصفحة المطلوبة غير موجودة';
            }elseif(is_page()) {
                the_title(); echo ' - ' ; bloginfo('name') ;
            }elseif( is_tax()) { 
                single_cat_title();

            }else {
            bloginfo('name'); wp_title('-', true, '');}
        ?>
    " />
    <meta property="og:description" content="<?php echo ot_get_option( 'site_description');?>" />
    <meta property="og:image" content="<?php echo thePostThubmailLink(); ?>" />
    <title>
        <?php
            if(is_home()) {
                bloginfo('name');
            }elseif(is_category()) {
                single_cat_title();  echo ' - ' ; bloginfo('name') ;
            }elseif(is_single()) {
                the_title();  echo ' - ' ; bloginfo('name') ;
            }elseif(is_archive()){
                single_tag_title();  echo ' - ' ; bloginfo('name') ;
                
            }elseif(is_search()) {
                echo 'نتائج البحث"'.$s.'"';
            }elseif(is_404()) {
                bloginfo('name');
                echo ' | الصفحة المطلوبة غير موجودة';
            }elseif(is_page()) {
                the_title(); echo ' - ' ; bloginfo('name') ;
            }elseif( is_tax()) { 
                single_cat_title();

            }else {
            bloginfo('name'); wp_title('-', true, '');}
        ?>
    </title>
        <?php
            if ( function_exists( 'ot_get_option' ) ) {
                $site_favicon = ot_get_option( 'site_favicon');
            }
        ?>

        <link rel="shortcut icon" href="<?php if(isset($site_favicon)){ echo $site_favicon; }else{?><?php bloginfo('template_directory');?>/Style/SiteAssets/images/favicon.png<?php } ?>" sizes="25x25" />

        <link rel="stylesheet" href="<?php bloginfo('template_directory');?>/style/assets/css/all.min.css">
        <link rel="stylesheet" href="<?php bloginfo('template_directory');?>/style/assets/css/normalize.css">
        <link rel="stylesheet" href="<?php bloginfo('template_directory');?>/style/assets/css/mdb.min.css">
        <link rel="stylesheet" href="<?php bloginfo('template_directory');?>/style/assets/css/bootstrap.min.css">
        <link rel="stylesheet" href="<?php bloginfo('template_directory');?>/style/assets/css/animate.css">
        <link rel="stylesheet" href="<?php bloginfo('template_directory');?>/style/assets/css/datepicker.css">
        <link rel="stylesheet" href="<?php bloginfo('template_directory');?>/style/assets/css/jquery-comments.css">
        <!-- get the style based on lang -->
        <link rel="preconnect" href="https://fonts.googleapis.com">
        <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
        <link href="https://fonts.googleapis.com/css2?family=El+Messiri:wght@400..700&family=Libre+Franklin:ital,wght@0,100..900;1,100..900&display=swap" rel="stylesheet">
        <link rel="stylesheet" href="<?php bloginfo('template_directory');?>/style/assets/css/main.css">
        <?php
            if (getTheLang() == 'ar') {
        ?>
            <link rel="stylesheet" href="<?php bloginfo('template_directory');?>/style/assets/css/custom-rtl.css">
        <?php
            }
        ?>


    <?php 
        wp_head();
        if ( is_user_logged_in() ) {
    ?>
        <style>
            .menu.active {
                top: 32px;
            }
        </style>
    <?php
        }
    ?>  
  

    <?php
        if (getSettingValue('google_analytics_id') != '') {
    ?>
        <script>
            window.dataLayer = window.dataLayer || [];
            function gtag(){dataLayer.push(arguments);}
            gtag('js', new Date());

            gtag('config', '<?php echo $google_analytics_id; ?>');
        </script>
    <?php
        }
    ?>
</head>

<body>
  <!-- Top Bar -->
  <div class="top-bar py-2">
    <div class="container">
      <div class="row align-items-center">
        <div class="col-md-6">
            <ul class="top-info">
                <?php
                    if (getSettingValue('phone') != '') {
                ?>
                    <li>
                        <i class="far fa-envelope"></i>
                        <span><?php echo getSettingValue('phone'); ?></span>
                    </li>
                <?php } ?>
                <?php
                    if (getSettingValue('address_'.getTheLang()) != '') {
                ?>
                    <li>
                        <i class="fas fa-map-marker-alt"></i>
                        <span class="ml-3"><?php echo getSettingValue('address_'.getTheLang()); ?></span>
                    </li>
                <?php } ?>
            </ul>
        </div>
        <div class="col-md-6 text-end">
            <ul class="top-social">
                <?php
                    if (getSettingValue('facebook') != '') {
                ?>
                    <li>
                        <a href="<?php echo getSettingValue('facebook'); ?>" target="_blank">
                            <i class="fab fa-facebook mr-2"></i>
                        </a>
                    </li>
                <?php } ?>
                <?php
                    if (getSettingValue('twitter') != '') {
                ?>
                    <li>
                        <a href="<?php echo getSettingValue('twitter'); ?>" target="_blank">
                            <i class="fab fa-twitter mr-2"></i>
                        </a>
                    </li>
                <?php } ?>
                <?php
                    if (getSettingValue('instagram') != '') {
                ?>
                    <li>
                        <a href="<?php echo getSettingValue('instagram'); ?>" target="_blank">
                            <i class="fab fa-instagram mr-2"></i>
                        </a>
                    </li>
                <?php } ?>
                <?php
                    if (getSettingValue('linkedin') != '') {
                ?>
                    <li>
                        <a href="<?php echo getSettingValue('linkedin'); ?>" target="_blank">
                            <i class="fab fa-linkedin mr-2"></i>
                        </a>
                    </li>
                <?php } ?>
            </ul>
            <span class="ml-3">
                <a href="<?php echo remove_query_parameters(); ?>?lang=<?php echo getTheLang() == 'ar' ? 'en' : 'ar'; ?>" class="text-white">
                    <?php echo getTheLangSwitcher(); ?>
                </a>
            </span>
        </div>
      </div>
    </div>
  </div>

  <!-- Header with Three Columns -->
  <header class="bg-light py-3">
    <div class="container">
      <div class="row align-items-center">
        <div class="col-md-4">
            <?php
                if ( function_exists( 'ot_get_option' ) ) {
                    $site_logo = ot_get_option( 'site_logo');
                }
            ?>
            <?php if(isset($site_logo)){ ?>
                <a href="<?php echo home_url(); ?>">
                    <img src="<?php echo $site_logo; ?>" alt="" height="80">    
                </a>
            <?php } ?>
        </div>
        <div class="col-md-8">
            <div class="row">
                <div class="col-md-12 top-shorts">
                    <ul>
                        <?php
                            if (getSettingValue('working_hourse_'.getTheLang()) != '') {
                        ?>
                            <li>
                                <span>
                                    <i class="far fa-clock"></i>
                                </span>
                                <div>
                                    <?php echo getSettingValue('working_hourse_'.getTheLang()); ?>
                                    <br>
                                    <strong>الجمعة : مغلق</strong>
                                </div>
                            </li>
                        <?php } ?>
                        <?php
                            if (getSettingValue('address_'.getTheLang()) != '') {
                        ?>
                            <li>
                                <span>
                                    <i class="fas fa-map-marker-alt"></i>
                                </span>
                                <div>
                                    <?php echo getSettingValue('address_'.getTheLang()); ?>
                                    <!-- <br>
                                    <strong>34226 الخبر</strong> -->
                                </div>
                            </li>
                        <?php } ?>
                        <?php
                            if (getSettingValue('phone') != '' || getSettingValue('email') != '') {
                        ?>
                            <li>
                                <span>
                                    <i class="fas fa-phone"></i>
                                </span>
                                <div>
                                    <?php
                                        if (getSettingValue('phone') != '')
                                            echo getSettingValue('phone');
                                    ?>
                                    
                                    <?php
                                        if (getSettingValue('email') != '')
                                            echo '<br><strong>'.getSettingValue('email').'</strong>';
                                    ?>
                                </div>
                            </li>
                        <?php } ?>
                    </ul>
                </div>
            </div>
        </div>
      </div>
    </div>
  </header>

  <!-- Sticky Menu -->
  <nav class="navbar navbar-expand-lg navbar-light bg-white sticky-menu p-0">
    <div class="container">
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <?php
            // Get the menu
            $menu_locations = get_nav_menu_locations();
            $menu_id = $menu_locations['headermenu_ar']; // Change 'primary' to your menu location slug
            $menu_items = wp_get_nav_menu_items($menu_id);

            // Output the menu
            echo '<ul class="navbar-nav ml-auto">';
            foreach ($menu_items as $menu_item) {
                if ($menu_item->menu_item_parent > 0) {
                    continue; // Skip sub-items
                }
                // Get custom label (English)
                $custom_label_en = get_post_meta($menu_item->ID, '_custom_label_en', true);

                // Use custom label if available, otherwise use default label
                if (getTheLang() == 'en') {
                    $menu_item_label = !empty($custom_label_en) ? $custom_label_en : $menu_item->title;
                } else {
                    $menu_item_label = !empty($menu_item->title) ? $menu_item->title : $custom_label_en;
                }
                

                // Check if the menu item has sub-items
                $has_sub_items = get_submenu_items($menu_item->ID, $menu_items);

                // Output menu item
                echo '<li class="nav-item">';
                echo '<a class="nav-link" href="' . $menu_item->url . '">' . $menu_item_label . '</a>';

                // Output submenu items recursively
                if (!empty($has_sub_items)) {
                    echo '<div class="submenu">';
                    foreach ($has_sub_items as $submenu_item) {
                        // Get custom label (English) for submenu item
                        $submenu_custom_label_en = get_post_meta($submenu_item->ID, '_custom_label_en', true);

                        // Use custom label if available, otherwise use default label
                        if (getTheLang() == 'en') {
                            $submenu_item_label = !empty($submenu_custom_label_en) ? $submenu_custom_label_en : $submenu_item->title;
                        } else {
                            $submenu_item_label = !empty($submenu_item->title) ? $submenu_item->title : $submenu_custom_label_en;
                        }

                        // Output submenu item
                        echo '<a class="nav-link" href="' . $submenu_item->url . '">' . $submenu_item_label . '</a>';
                    }
                    echo '</div>';
                }

                echo '</li>';
            }
            echo '</ul>';
            // Function to get sub-items (child menu items) for a parent menu item
            function get_submenu_items($parent_id, $menu_items) {
                $sub_items = array();
                foreach ($menu_items as $menu_item) {
                    if ($menu_item->menu_item_parent == $parent_id) {
                        $sub_items[] = $menu_item;
                    }
                }
                return $sub_items;
            }
        ?>
        <!-- <ul class="navbar-nav ml-auto">
            
          <li class="nav-item">
            <a class="nav-link active" href="#">Home</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#">About</a>
            <div class="submenu">
              <a class="nav-link" href="#">Who We Are</a>
              <a class="nav-link" href="#">About Us</a>
              <a class="nav-link" href="#">Call Us</a>
            </div>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#">Projects</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#">Services</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#">Clients</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#">Career</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#">Gallery</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#">Contact Us</a>
          </li>
        </ul> -->
        <a class="asphalt-menu" href="#">Asphalt Plant</a>
      </div>

        <form role="search" method="get" class="search-form" action="<?php echo esc_url(home_url('/')); ?>">
            <div class="search-input-container">
                <input type="search" class="search-field" placeholder="<?php echo esc_attr_x('Search &hellip;', 'placeholder', 'textdomain'); ?>" value="<?php echo get_search_query(); ?>" name="s" />
                <button type="submit" class="search-submit"><i class="fas fa-search"></i></button>
            </div>
        </form>
    </div>
  </nav>