<?php get_header(); ?>
<main>

<?php
    $slider_images = getSettingValue('slider_'.getTheLang());
?>
<?php if (!empty($slider_images)) : ?>
    <div id="carouselExampleControls" class="carousel slide" data-bs-ride="carousel">
        <div class="carousel-inner">
            <?php foreach ($slider_images as $index => $slider_item) : ?>
                <div class="carousel-item <?php echo $index === 0 ? 'active' : ''; ?>">
                    <img src="<?php echo $slider_item['image']; ?>" class="d-block w-100" alt="<?php echo $slider_item['title']; ?>">
                    <div class="carousel-caption d-none d-md-block">
                        <h5><?php echo $slider_item['title']; ?></h5>
                        <p><?php echo $slider_item['description']; ?></p>
                    </div>
                </div>
            <?php endforeach; ?>
            <!-- Add more carousel items as needed -->
        </div>
        <button class="carousel-control-prev" type="button" data-bs-target="#carouselExampleControls" data-bs-slide="prev">
            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
            <span class="visually-hidden">Previous</span>
        </button>
        <button class="carousel-control-next" type="button" data-bs-target="#carouselExampleControls" data-bs-slide="next">
            <span class="carousel-control-next-icon" aria-hidden="true"></span>
            <span class="visually-hidden">Next</span>
        </button>
    </div>
<?php endif; ?>

<section class="custom-section">
    <div class="container">
        <div class="row">
            <div class="col-md-6">
                <!-- Embed YouTube video -->
                <div class="embed-responsive embed-responsive-16by9 px-3">
                    <iframe class="embed-responsive-item" src="https://www.youtube.com/embed/vDabWsV0jP4" allowfullscreen width="100%" height="300"></iframe>
                </div>
            </div>
            <div class="col-md-6">
                <!-- Content about us -->
                <div class="content">
                    <h2><?php echo ot_get_option('home_about_title_'.getTheLang(), ''); ?></h2>
                    <?php
                        $home_about_des = ot_get_option('home_about_des_'.getTheLang(), '');
                        echo $home_about_des;

                        $selected_page_id = ot_get_option('home_about_link');
                        if ($selected_page_id) {
                            $selected_page_permalink = get_permalink($selected_page_id);
                    ?>
                    
                    <a href="<?php echo $selected_page_permalink; ?>" class="btn btn-primary">
                        <?php echo getTheTextByLang('Read More'); ?>
                        <i class="fas fa-<?php echo getTheTextByLang('arrow-right'); ?>"></i>
                    </a>
                    <?php } ?>
                </div>
            </div>
        </div>
    </div>
</section>



<?php
    $slider_images = getSettingValue('home_services');
?>
<?php if (!empty($slider_images)) : ?>
<section class="home-cards-section">
    <div class="container">
        <div class="row text-center">
            <div class="col-12">
                <h4><?php echo getTheTextByLang('Services'); ?></h4>
                <h2><?php echo getTheTextByLang('Our Best Services'); ?></h2>
            </div>
            <?php
                // Get the OptionTree list of items
                $home_services_items = ot_get_option('home_services');

                // Check if there are items
                if (!empty($home_services_items)) {
                    // Loop through each item
                    foreach ($home_services_items as $item) {
                        // Get the values of the fields for the current item
                        $item_title_ar = isset($item['item_title_ar']) ? $item['item_title_ar'] : '';
                        $item_description_ar = isset($item['item_description_ar']) ? $item['item_description_ar'] : '';
                        $item_title_en = isset($item['item_title_en']) ? $item['item_title_en'] : '';
                        $item_description_en = isset($item['item_description_en']) ? $item['item_description_en'] : '';
                        $item_page_id = isset($item['item_page']) ? $item['item_page'] : '';
                        
                        // Get the permalink of the linked page
                        $item_page_permalink = $item_page_id ? get_permalink($item_page_id) : '#';

                        // Output the HTML for each item
            ?>
            <div class="col-md-4">
                <div class="card">
                    <div class="card-body">
                        <?php if (function_exists('pll_current_language') && pll_current_language() == 'ar') : ?>
                        <h5 class="card-title">
                            <a href="<?php echo esc_url($item_page_permalink); ?>"><?php echo esc_html($item_title_ar); ?></a>
                        </h5>
                        <p class="card-text"><?php echo wpautop($item_description_ar); ?></p>
                        <?php else : ?>
                        <h5 class="card-title">
                            <a href="<?php echo esc_url($item_page_permalink); ?>"><?php echo esc_html($item_title_en); ?></a>
                        </h5>
                        <p class="card-text"><?php echo wpautop($item_description_en); ?></p>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
            <?php
                    }
                }
            ?>

        </div>
    </div>
</section>

<?php endif; ?>

<?php
// Get the OptionTree gallery images
$home_clients = ot_get_option('home_clients');

if (!empty($home_clients)) {
    // Counter for arranging images in rows
    $counter = 0;
    // Start row
    echo '<div class="container home-clients py-4">';
    echo '<div class="row py-2 text-center justify-content-center">';
    ?>
    <div class="col-12 mb-3">
        <h4>
            <?php echo getTheTextByLang('Our Clients'); ?>
        </h4>
    </div>
    <?php
    foreach ($home_clients as $image) {
        // Get the URL of the uploaded image
        $image_url = isset($image['image_upload']) ? $image['image_upload'] : '';
        // Output HTML for image preview
        if (!empty($image_url)) {
            echo '<div class="col-md-2 px-1">';
            echo '<div class="card"><img src="' . esc_url($image_url) . '" class="img-fluid" alt="Gallery Image"></div>';
            echo '</div>';
            // Increment counter
            $counter++;
            // Check if it's time to end the current row and start a new one
            if ($counter % 6 === 0) {
                echo '</div><div class="row">';
            }
        }
    }
    // Close the last row
    echo '</div>';
    echo '</div>';
}
?>

</main>
<?php get_footer(); ?>