<?php
/**
 * Initialize the custom Meta Boxes. 
 */
add_action( 'admin_init', 'custom_meta_boxes' );

/**
 * Meta Boxes demo code.
 *
 * You can find all the available option types in demo-theme-options.php.
 *
 * @return    void
 * @since     2.0
 */
 
register_meta('post', 'city', [
    'object_subtype' => 'posts', // Limit to a post type.
    'type'           => 'string',
    'description'    => 'Cidade',
    'single'         => true,
    'show_in_rest'   => true,
]);
 
function custom_meta_boxes() {
  
  /**
   * Create a custom meta boxes array that we pass to 
   * the OptionTree Meta Box API Class.
   */
  $my_meta_box = array(
    'id'          => 'demo_meta_box',
    'title'       => __( 'إعدادات المقال', 'theme-text-domain' ),
    'desc'        => '',
    'pages'       => array( 'post','category' ),
    'context'     => 'normal',
    'priority'    => 'high',
    'fields'      => array(
            array(
                'id'          => 'post_flag',
                'label'       => __( 'علامة المقال', 'text-domain' ),
                'desc'        => __( '', 'text-domain' ),
                'type'        => 'select',
                'choices'     => array( 
                    array(
                        'value'       => '',
                        'label'       => __( 'بدون علامة', 'text-domain' ),
                    ),
                    array(
                        'value'       => 'خاص',
                        'label'       => __( 'خاص', 'text-domain' ),
                    ),
                    array(
                        'value'       => 'مباشر',
                        'label'       => __( 'مباشر', 'text-domain' ),
                    ),
                    array(
                        'value'       => 'صور',
                        'label'       => __( 'صور', 'text-domain' ),
                    ),
                    array(
                        'value'       => 'فيديو',
                        'label'       => __( 'فيديو', 'text-domain' ),
                    )
                )
            )
    )
  );
  
  /**
   * Register our meta boxes using the 
   * ot_register_meta_box() function.
   */
  if ( function_exists( 'ot_register_meta_box' ) )
    ot_register_meta_box( $my_meta_box );

}