<?php
/**  Initialize the options before anything else.  */
	add_action( 'init', 'custom_theme_options', 1 );

/** Build the custom settings & update OptionTree. */
	function custom_theme_options() {

	/* OptionTree is not loaded yet, or this is not an admin request */
	  if ( ! function_exists( 'ot_settings_id' ) || ! is_admin() )
	    return false;

  /** Get a copy of the saved settings array. */
  	$saved_settings = get_option( 'option_tree_settings', array() );

  /** Custom settings array that will eventually be
  	* passes to the OptionTree Settings API Class. */
  	$custom_settings = array(
    	'contextual_help' => array(
      		'content'       => array(
		        array(
		          'id'        => 'general_help',
		          'title'     => 'General',
		          'content'   => '<p>Help content goes here!</p>'
		        )
      		),
      		'sidebar'       => '<p>Sidebar content goes here!</p>',
    	),
    	/*  Data sections */
    		'sections'   => array(
			    array(
			      	'id'          => 'general',
			        'title'       => 'بيانات عامة'
			    ),
			    array(
			      	'id'          => 'home',
			        'title'       => 'اعدادات الصفحة الرئيسية'
			    ),
			    // array(
			    //   	'id'          => 'sharing_ads',
			    //     'title'       => 'إعداد مشاركة الأرباح'
			    // ),
			    array(
			      	'id'          => 'social',
			        'title'       => 'التواصل'
			    ),

    		),

    	/* Data setting */
    		'settings'        => array(
    			//======= Site Data Section general ========//
    				/** Site words **/
		      			array(
					      	'type'        => 'textarea-simple',
					        'label'       => 'كلمة عن الموقع',
					      	'desc'        => 'يكتب كلمة عن الموقع للظهور فى المكان المخصص لها',
					        'id'          => 'site_words',
					        'std'         => '',
					        'section'     => 'general',
					        'class'       => '',
					        'rows'         => '4'
		      			),
	      			/** Site Desc **/
		      			array(
					      	'type'        => 'textarea-simple',
					        'label'       => 'وصف الموقع ',
					      	'desc'        => 'يكتب وصف الموقع هنا للظهور فى محركات البحث',
					        'id'          => 'site_description',
					        'std'         => '',
					        'section'     => 'general',
					        'class'       => '',
					        'rows'         => '4'
		      			),
	      			/** Site Keywords **/
		      			array(
					      	'type'        => 'text',
					        'label'       => 'الكلمات الدليلية للموقع ',
					      	'desc'        => 'يكتب الكلمات الدليلية للموقع هنا للظهور فى محركات البحث مثال كلمة,كلمة,..... إلخ',
					        'id'          => 'site_keywords',
					        'std'         => '',
					        'section'     => 'general',
					        'class'       => ''
		      			),
	      			/** Site Logo **/
		      			array(
					      	'type'        => 'Upload',
					        'label'       => 'لوجو الموقع',
					      	'desc'        => 'ارفع لوجو الموقع للظهور فى المكان المخصص له',
					        'id'          => 'site_logo',
					        'std'         => '',
					        'section'     => 'general',
					        'class'       => ''
		      			),
		      		/* site favicon */
		      			array(
					      	'type'        => 'Upload',
					        'label'       => 'ايقونة الموقع',
					      	'desc'        => 'ارفع ايقونة الموقع للظهور فى المكان المخصص لها',
					        'id'          => 'site_favicon',
					        'std'         => '',
					        'section'     => 'general',
					        'class'       => ''
		      			),

		      	//=======  Socila Media Section social =============//
		      		/** facebook **/
		      			array(
					      	'type'        => 'text',
					        'label'       => 'Facebook',
					      	'desc'        => 'يوضع هنا الرابط الخاص بالفيس بوك',
					        'id'          => 'facebook',
					        'std'         => '',
					        'section'     => 'social',
					        'class'       => ''
		      			),
		      		/** twitter **/
		      			array(
					      	'type'        => 'text',
					        'label'       => 'Twitter',
					      	'desc'        => 'يوضع هنا الرابط الخاص بتويتر',
					        'id'          => 'twitter',
					        'std'         => '',
					        'section'     => 'social',
					        'class'       => ''
		      			),
		      		/** instagram **/
		      			array(
							'type'        => 'text',
						  'label'       => 'Instagram',
							'desc'        => 'يوضع هنا الرابط الخاص بإنستجرام',
						  'id'          => 'instagram',
						  'std'         => '',
						  'section'     => 'social',
						  'class'       => ''
						),
		      		/** linkedin **/
		      			array(
							'type'        => 'text',
						  	'label'       => 'Linkedin',
							'desc'        => 'يوضع هنا الرابط الخاص بصفحة لينكد ان',
							'id'          => 'linkedin',
							'std'         => '',
							'section'     => 'social',
							'class'       => ''
						),
						array(
							'type'        => 'text',
						  	'label'       => 'الهاتف',
							'desc'        => '',
							'id'          => 'phone',
							'std'         => '',
							'section'     => 'social',
							'class'       => ''
						),
						array(
							'type'        => 'text',
						  'label'       => 'البريد الإلكتروني',
							'desc'        => '',
						  'id'          => 'email',
						  'std'         => '',
						  'section'     => 'social',
						  'class'       => ''
						),
						array(
							'type'        => 'text',
						  	'label'       => 'العنوان باللغة العربية',
							'desc'        => '',
							'id'          => 'address_ar',
							'std'         => '',
							'section'     => 'social',
							'class'       => ''
						),
						array(
							'type'        => 'text',
						  	'label'       => 'العنوان باللغة الإنجليزية',
							'desc'        => '',
							'id'          => 'address_en',
							'std'         => '',
							'section'     => 'social',
							'class'       => ''
						),
						array(
							'type'        => 'text',
						  	'label'       => 'مواعيد العمل باللغة العربية',
							'desc'        => '',
							'id'          => 'working_hourse_ar',
							'std'         => '',
							'section'     => 'social',
							'class'       => ''
						),
						array(
							'type'        => 'text',
						  	'label'       => 'مواعيد العمل باللغة الإنجليزية',
							'desc'        => '',
							'id'          => 'working_hourse_en',
							'std'         => '',
							'section'     => 'social',
							'class'       => ''
						),
						// array(
						// 	'type'        => 'on-off',
						//   	'label'       => 'مشاركة الارباح',
						// 	'desc'        => 'اختر تفعيل أو إلغاء مشاركة الارباح',
						// 	'id'          => 'sharing_ads_status',
						// 	'std'         => 'off',
						// 	'section'     => 'sharing_ads',
						// ),
						// array(
						// 	'type'        => 'on-off',
						//   	'label'       => 'تفعيل حساب الناشر',
						// 	'desc'        => 'اختر تفعيل أو إلغاء خاصة نشر إعلانات من حساب جوجل خاص بالكاتب',
						// 	'id'          => 'prevent_user_publisher_status',
						// 	'std'         => 'off',
						// 	'section'     => 'sharing_ads',
						// ),
						// array(
						// 	'type'        => 'text',
						// 	'label'       => 'كود الناشر الخاص بالموقع',
						// 	'desc'        => 'قم بكاتبة كود الناشر الخاص بالموقع ككل',
						// 	'id'          => 'site_publisher_id',
						// 	'std'         => '',
						// 	'section'     => 'sharing_ads',
						// ),
						// array(
						// 	'type'        => 'text',
						// 	'label'       => 'كود القناة الخاصة بالموقع',
						// 	'desc'        => 'قم بكاتبة كود القناة الخاصة بالموقع ككل',
						// 	'id'          => 'site_publisher_channel',
						// 	'std'         => '',
						// 	'section'     => 'sharing_ads',
						// ),
						array(
							'id'          => 'slider_ar',
							'label'       => __( 'عارض الصور بالرئيسية باللغة العربية', 'text-domain' ),
							'type'        => 'slider',
							'section'     => 'home',
						),
						array(
							'id'          => 'slider_en',
							'label'       => __( 'عارض الصور بالرئيسية باللغة الإنجليزية', 'text-domain' ),
							'type'        => 'slider',
							'section'     => 'home',
						),


						array(
							'id'          => 'home_about_title_ar',
							'label'       => __( 'عنوان من نحن بالرئيسية باللغة العربية', 'text-domain' ),
							'type'        => 'text',
							'section'     => 'home',
						),
						array(
							'id'          => 'home_about_title_en',
							'label'       => __( 'عنوان من نحن بالرئيسية باللغة الإنجليزية', 'text-domain' ),
							'type'        => 'text',
							'section'     => 'home',
						),
						array(
							'id'          => 'home_about_des_ar',
							'label'       => __( 'نص من نحن بالرئيسية باللغة العربية', 'text-domain' ),
							'type'        => 'textarea',
							'editor'  	=> 'true',
							'section'     => 'home',
						),
						array(
							'id'          => 'home_about_des_en',
							'label'       => __( 'نص من نحن بالرئيسية باللغة الإنجليزية', 'text-domain' ),
							'type'        => 'textarea',
							'editor'  => 'true',
							'section'     => 'home',
						),
						array(
							'id'          => 'home_about_link',
							'label'       => __( 'اختر الصفحة الخاصة بتفاصيل من نحن', 'text-domain' ),
							'type'        => 'page-select',
							'section'     => 'home',
						),
						array(
							'id'          => 'contactus_link',
							'label'       => __( 'اختر الصفحة الخاصة بتفاصيل اتصل بنا', 'text-domain' ),
							'type'        => 'page-select',
							'section'     => 'home',
						),


						array(
							'id'          => 'home_services',
							'label'       => __( 'تفاصيل خدماتنا بالرئيسية', 'text-domain' ),
							'type'        => 'list-item',
							'section'     => 'home',
							'settings' => array(
								array(
									'id'      => 'item_title_ar',
									'label'   => __( 'العنوان بالعربية', 'text-domain' ),
									'type'    => 'text',
								),
								array(
									'id'      => 'item_description_ar',
									'label'   => __( 'الوصف بالعربية', 'text-domain' ),
									'type'    => 'textarea',
									'editor'  => 'true', // Enable WYSIWYG editor
								),
								array(
									'id'      => 'item_title_en',
									'label'   => __( 'العنوان بالإنجليزية', 'text-domain' ),
									'type'    => 'text',
								),
								array(
									'id'      => 'item_description_en',
									'label'   => __( 'الوصف بالإنجليزية', 'text-domain' ),
									'type'    => 'textarea',
									'editor'  => 'true', // Enable WYSIWYG editor
								),
								array(
									'id'      => 'item_page',
									'label'   => __( 'الصفحة المرتبطه', 'text-domain' ),
									'type'    => 'page-select',
								),
							),
						),

						array(
							'id'      => 'home_clients',
							'label'   => __('عملائنا', 'text-domain'),
							'type'    => 'list-item',
							'section' => 'home',
							'settings' => array(
								array(
									'id'      => 'image_upload',
									'label'   => __('صورة اللوجو للعميل', 'text-domain'),
									'type'    => 'upload',
									'mime_type' => 'image', // Restrict to images
								),
							),
						),

						array(
							'id'          => 'footer_company_info_ar',
							'label'       => __( 'نبذة عن الشركة بالفوتر باللغة العربية', 'text-domain' ),
							'type'        => 'text',
							'section'     => 'home',
						),
						array(
							'id'          => 'footer_company_info_en',
							'label'       => __( 'نبذة عن الشركة بالفوتر باللغة الإنجليزية', 'text-domain' ),
							'type'        => 'text',
							'section'     => 'home',
						),
						array(
							'id'          => 'about_pdf_upload',
							'label'       => __('ملف pdf عن الشركة', 'text-domain'),
							'type'        => 'upload',
							'mime_type'   => 'application/pdf', // Set MIME type to restrict uploads to PDF files
							'section'     => 'general', // Place the setting in the 'general' section, change it to your desired section
						),
						array(
							'id'          => 'fs_pdf_upload',
							'label'       => __('ملف الحسابات pdf', 'text-domain'),
							'type'        => 'upload',
							'mime_type'   => 'application/pdf', // Set MIME type to restrict uploads to PDF files
							'section'     => 'general', // Place the setting in the 'general' section, change it to your desired section
						),

			)
  );

  /* settings are not the same update the DB */
  if ( $saved_settings !== $custom_settings ) {
    update_option( 'option_tree_settings', $custom_settings );
  }

  /* Lets OptionTree know the UI Builder is being overridden */
  global $ot_has_custom_theme_options;
  $ot_has_custom_theme_options = true;

}
