<?php
	/* template name: صفحة مشروعات غير منتهية */
	get_header();

    $selected_date = date('Y-m-d');
    $league = 'all';
    $page_status = '';
    global $wp;

    // Get the current post ID
    $post_id = get_the_ID();

    // Get the Arabic content from the meta field
    $content_arabic = get_post_meta($post_id, 'content_ar', true);
    // Process shortcodes in the content
    $content_arabic = do_shortcode($content_arabic);
    // Apply wpautop to add paragraphs
    $content_arabic = wpautop($content_arabic);
    $title_arabic = get_post_meta($post_id, 'title_ar', true);

?>

<section class="breadcrumbs">
    <div class="container">
        <div class="col-12">
            <h2><?php echo getTheLang() == 'en' ? get_the_title() : $title_arabic; ?></h2>
        </div>
        <div class="col-12">
            <?php
                echo getTheBreadcrumbs();
            ?>
        </div>
    </div>
</section>

<section>
    <div class="container page-content">
        <div class="row">
            <div class="col-12">
                <?php
                    if (getTheLang() == 'ar') {
                        // Output the Arabic content if it exists
                        if (!empty($content_arabic)) {
                            echo $content_arabic;
                        }
                    } else {
                        echo the_content();
                    }
                    
                ?>
            </div>
            
            <div class="col-12">
                <?php
                    // Define a custom query to fetch projects where type is 'new'
                    $args = array(
                        'post_type' => 'projects',
                        'meta_query' => array(
                            array(
                                'key' => 'type',
                                'value' => 'new',
                                'compare' => '='
                            )
                        )
                    );

                    $custom_query = new WP_Query($args);
                ?>
                <?php if ($custom_query->have_posts()) : ?>
                    <div class="accordion" id="accordionExample">
                        <?php while ($custom_query->have_posts()) : $custom_query->the_post(); ?>
                            <div class="accordion-item">
                                <h2 class="accordion-header" id="heading<?php echo the_ID(); ?>">
                                    <button class="accordion-button" type="button" data-bs-toggle="collapse" data-bs-target="#collapse<?php echo the_ID(); ?>" aria-expanded="true" aria-controls="collapse<?php echo the_ID(); ?>">
                                        <?php echo esc_html(get_post_meta(get_the_ID(), 'title_'.getTheLang(), true)); ?>
                                    </button>
                                </h2>
                                <div id="collapse<?php echo the_ID(); ?>" class="accordion-collapse collapse show" aria-labelledby="heading<?php echo the_ID(); ?>" data-bs-parent="#accordionExample">
                                    <div class="accordion-body">
                                        <?php echo get_post_meta(get_the_ID(), 'description_'.getTheLang(), true); ?>
                                    </div>
                                </div>
                            </div>
                        <?php endwhile; ?>
                    </div>
                <?php else : ?>
                    <p><?php _e('No projects found with type "new".', 'textdomain'); ?></p>
                <?php endif; ?>

                <?php wp_reset_postdata(); ?>
            </div>
        </div>
    </div>
</section>
<?php  get_footer();?>