<?php
	/* template name: نتائج المباريات */
	get_header();

    $selected_date = date('Y-m-d');
    $league = 'all';
    $page_status = '';
    global $wp;

    // Get the current post ID
    $post_id = get_the_ID();

    // Get the Arabic content from the meta field
    $content_arabic = get_post_meta($post_id, 'content_ar', true);
    $title_arabic = get_post_meta($post_id, 'title_ar', true);

?>

<section class="breadcrumbs">
    <div class="container">
        <div class="col-12">
            <h2><?php echo getTheLang() == 'en' ? get_the_title() : $title_arabic; ?></h2>
        </div>
        <div class="col-12">
            <?php
                // Output breadcrumbs
                echo '<nav aria-label="breadcrumb">';
                echo '<ol class="breadcrumb">';
                echo '<li class="breadcrumb-item"><a href="' . esc_url(home_url('/')) . '">Home</a></li>';

                // Check if the current page has a parent
                if ($post->post_parent) {
                    $parent_id = $post->post_parent;
                    $breadcrumbs = array();

                    // Loop through parent pages to get breadcrumb trail
                    while ($parent_id) {
                        $page = get_post($parent_id);
                        $breadcrumbs[] = '<li class="breadcrumb-item"><a href="' . esc_url(get_permalink($page->ID)) . '">' . esc_html(get_the_title($page->ID)) . '</a></li>';
                        $parent_id = $page->post_parent;
                    }

                    // Reverse the array to maintain the correct order
                    $breadcrumbs = array_reverse($breadcrumbs);

                    // Output parent pages as breadcrumbs
                    foreach ($breadcrumbs as $crumb) {
                        echo $crumb;
                    }
                }

                // Output current page as the last breadcrumb
                echo '<li class="breadcrumb-item active" aria-current="page">' . esc_html(get_the_title()) . '</li>';

                echo '</ol>';
                echo '</nav>';
            ?>
        </div>
    </div>
</section>

<section>
    <div class="container page-content">
        <div class="row">
            <div class="col-12">
                <?php
                    if (getTheLang() == 'ar') {
                        // Output the Arabic content if it exists
                        if (!empty($content_arabic)) {
                            echo wpautop($content_arabic);
                        }
                    } else {
                        echo get_the_content();
                    }
                    
                ?>
            </div>
        </div>
    </div>
</section>
<?php  get_footer();?>