<?php 
// Creating the widget 
class wpb3_widget extends WP_Widget {

function __construct() {
parent::__construct(
// Base ID of your widget
'wpb3_widget', 

// Widget name will appear in UI
__('إعلان 300 × 250', 'wpb3_widget_domain'), 

// Widget description
array( 'description' => __( 'وحدة إعلانية بمقاس عرض 300 بكسل تسمح بكود أدسنس', 'wpb3_widget_domain' ), ) 
);
}

// Creating widget front-end
// This is where the action happens
public function widget( $args, $instance ) {
?>
        <!-- wedgit begins -->
    	<div class="widget" style="background-image:none;">
            <div class="wedgit-content">
            	<div class="side-ad">
<?php
$adimg = $instance[ 'adimg' ];
$adurl = $instance[ 'adurl' ];
$adsense = $instance[ 'adsense' ];
if ($adsense == '')
{
?>
         <a  href="<?php echo $adurl; ?>"><img src="<?php echo $adimg; ?>" width="300" /></a>
<?php }else{ ?>
<?php echo $adsense; } ?>
                </div>
            </div>
        </div>
        <!-- wedgit ends -->
<?php 
}

// Widget Backend 
public function form( $instance ) {
if ( isset( $instance[ 'Ad Image' ] ) ) {
$adimg = $instance[ 'adimg' ];
}
else {
	
$adimg = __( get_template_directory_uri() . '/style/images/300-250-ad.png', 'wpb3_widget_domain' );
}
if ( isset( $instance[ 'adurl' ] ) ) {
$adurl = $instance[ 'adurl' ];
}
else {
$adurl = __( '#', 'wpb3_widget_domain' );
}
if ( isset( $instance[ 'adsense' ] ) ) {
$adsense = $instance[ 'adsense' ];
}
else {
$adsense = __( '', 'wpb3_widget_domain' );
}
// Widget admin form
?>
<p>
<label for="<?php echo $this->get_field_id( 'adimg' ); ?>"><?php _e( 'Image:' ); ?></label> 
<input class="widefat" id="<?php echo $this->get_field_id( 'adimg' ); ?>" name="<?php echo $this->get_field_name( 'adimg' ); ?>" type="text" value="<?php echo esc_attr( $adimg ); ?>" />
</p>
<p>
<label for="<?php echo $this->get_field_id( 'adurl' ); ?>"><?php _e( 'URL:' ); ?></label> 
<input class="widefat" id="<?php echo $this->get_field_id( 'adurl' ); ?>" name="<?php echo $this->get_field_name( 'adurl' ); ?>" type="text" value="<?php echo esc_attr( $adurl ); ?>" />
</p>
<p>
<label for="<?php echo $this->get_field_id( 'adsense' ); ?>"><?php _e( 'Adsense Code:' ); ?></label> 
<textarea class="widefat" id="<?php echo $this->get_field_id( 'adsense' ); ?>" name="<?php echo $this->get_field_name( 'adsense' ); ?>"><?php echo esc_attr( $adsense ); ?></textarea>
</p>
<?php 
}
	
// Updating widget replacing old instances with new
public function update( $new_instance, $old_instance ) {
$instance = array();
$instance['adimg'] = ( ! empty( $new_instance['adimg'] ) ) ? strip_tags( $new_instance['adimg'] ) : '';
$instance['adurl'] = ( ! empty( $new_instance['adurl'] ) ) ? strip_tags( $new_instance['adurl'] ) : '';
$instance['adsense'] = ( ! empty( $new_instance['adsense'] ) ) ? strip_tags( $new_instance['adsense'] ) : '';
return $instance;
}
} // Class wpb3_widget ends here

// Register and load the widget
function wpb3_load_widget() {
	register_widget( 'wpb3_widget' );
}
add_action( 'widgets_init', 'wpb3_load_widget' );

 ?>