<?php 
// Creating the widget 
class wpb2_widget extends WP_Widget {

function __construct() {
parent::__construct(
// Base ID of your widget
'wpb2_widget', 

// Widget name will appear in UI
__('قائمة الموضوعات الأكثر مشاهدة ', 'wpb2_widget_domain'), 

// Widget description
array( 'description' => __( ' قائمة الموضوعات الأكثر مشاهدة بالموقع', 'wpb2_widget_domain' ), ) 
);
}

// Creating widget front-end
// This is where the action happens
public function widget( $args, $instance ) {
$name = apply_filters( 'widget_title', $instance['name'] );
// before and after widget arguments are defined by themes
echo '<!-- wedgit begins -->';
echo '<div class="widget">';
$enname = $instance[ 'enname' ];
$posts_no = $instance[ 'posts_no' ];
$cat = $instance[ 'cat' ];
// Get the ID of a given category
    $category_id = get_cat_ID( 'Category Name' );
// Get the URL of this category
    $category_link = get_category_link( $category_id );


?>

   <?php 
   		global $data; 
		global $post; 
   ?>

      <div class="wedgit-content">
				      
           <div class="most-viewed ">
              <h4 class="primary-bg text-white p-2 text-center">
                <?php echo $name ;?>
              </h4>
              <ul class="sidesec m-t-15  bg-white p-l-5 p-r-5">
                <?php
                    //loop for most viewed posts
                    $my_query = new WP_Query ( array('post_type' => 'post' , 'posts_per_page' => $posts_no,'meta_key' => 'post_views_count','orderby' => 'meta_value_num', 'order' => 'DESC',));
                    while ($my_query->have_posts()) : $my_query->the_post(); ?>
                      <?php
                      $thumb_id = get_post_thumbnail_id();
                      $thumb_url = wp_get_attachment_image_src($thumb_id, thumbnail);
                    ?>
                        <li class="p-t-5 hoverzoom  post  "> 
                          <div class="item-img  pull-right w-25 ">
                              <a href="<?php the_permalink();?>">
                                  <img src="<?php echo $thumb_url[0];?>" alt="<?php the_title();?>" class="mw-100 h-auto">
                              </a>
                          </div>
                          <div class="item-details pull-right w-75 p-r-10 ">
                              <h1><a href="<?php the_permalink();?>" class="fz-15 vertical-t m-t-5 text-dark"><?php the_title();?></a></h1>
                              <div class="fz-14">
                                  <span> <i class="fa fa-clock-o"></i> <?php echo get_the_date('Y-m-d');?> </span>
                                  <span class="m-r-5"> <i class="fa fa-eye"></i><?php echo getPostViews(get_the_ID());?> </span>
                              </div>
                          </div>
                          <div class="clearfix"></div>
                        </li>
                    <?php endwhile;  wp_reset_query(); ?>
              </ul>
              </div>
	   </div>
			  

<?php
echo '</div>';
}
		
// Widget Backend 
public function form( $instance ) {
if ( isset( $instance[ 'name' ] ) ) {
$name = $instance[ 'name' ];
}
else {
$name = __( '', 'wpb2_widget_domain' );
}
if ( isset( $instance[ 'enname' ] ) ) {
$enname = $instance[ 'enname' ];
}
else {
$enname = __( '', 'wpb2_widget_domain' );
}
if ( isset( $instance[ 'posts_no' ] ) ) {
$posts_no = $instance[ 'posts_no' ];
}
else {
$posts_no = __( '4', 'wpb2_widget_domain' );
}
if ( isset( $instance[ 'cat' ] ) ) {
$cat = $instance[ 'cat' ];
}
else {
$cat = __( '1', 'wpb2_widget_domain' );
}
// Widget admin form
?>
<p>
<label for="<?php echo $this->get_field_id( 'name' ); ?>"><?php _e( 'العنوان:' ); ?></label> 
<input class="widefat" id="<?php echo $this->get_field_id( 'name' ); ?>" name="<?php echo $this->get_field_name( 'name' ); ?>" type="text" value="<?php echo esc_attr( $name ); ?>" />
</p>

<p>
<label for="<?php echo $this->get_field_id( 'posts_no' ); ?>"><?php _e( 'عدد المقالات:' ); ?></label> 
<input class="widefat" id="<?php echo $this->get_field_id( 'posts_no' ); ?>" name="<?php echo $this->get_field_name( 'posts_no' ); ?>" type="text" value="<?php echo esc_attr( $posts_no ); ?>" />
</p>
<p>
<label for="<?php echo $this->get_field_id( 'cat' ); ?>"><?php _e( 'اختر القسم:' ); ?></label>


</p>
<?php 
}
  
// Updating widget replacing old instances with new
public function update( $new_instance, $old_instance ) {
$instance = array();
$instance['name'] = ( ! empty( $new_instance['name'] ) ) ? strip_tags( $new_instance['name'] ) : '';
$instance['posts_no'] = ( ! empty( $new_instance['posts_no'] ) ) ? strip_tags( $new_instance['posts_no'] ) : '';

return $instance;
}
} // Class wpb2_widget ends here

// Register and load the widget
function wpb2_load_widget() {
  register_widget( 'wpb2_widget' );
}
add_action( 'widgets_init', 'wpb2_load_widget' );

 ?>