<?php 
// Creating the widget 
class wpb7_widget extends WP_Widget {

function __construct() {
parent::__construct(
// Base ID of your widget
'wpb7_widget', 

// Widget name will appear in UI
__('قائمة التدوينات بالصور لقسم', 'wpb7_widget_domain'), 

// Widget description
array( 'description' => __( 'إضافة قائمة بأحدث الإضافات فى قسم معين', 'wpb7_widget_domain' ), ) 
);
}

// Creating widget front-end
// This is where the action happens
public function widget( $args, $instance ) {
$name = apply_filters( 'widget_title', $instance['name'] );
// before and after widget arguments are defined by themes
echo '<!-- wedgit begins -->';
echo '<div class="widget">';
echo '<div class="wedgit-head"><h2>' . $name . '</h2></div>';
$posts_no = $instance[ 'posts_no' ];
$cat = $instance[ 'cat' ];

?>
            <div class="wedgit-content">
			  <?php
            //WordPress loop for custom post type
            $dalil = 'post';
             $my_query = new WP_Query ( array('post_type' => $dalil , 'posts_per_page' => $posts_no , 'cat' => $cat));
                  while ($my_query->have_posts()) : $my_query->the_post(); ?>
            	<div class="post-list-pic">
                    <div class="w-list-pic">
                    <?php
                    $thumb_id = get_post_thumbnail_id();
                    $thumb_url = wp_get_attachment_image_src($thumb_id, 'thumbnail');
					
                    ?>
					<?php
                        if ( has_post_thumbnail() ) {
                    ?>
                        <a href="<?php the_permalink(); ?>"><img src="<?php echo $thumb_url[0]; ?>" /></a>
					<?php
                        }else{
                    ?>
                    <?php
                        }
                    ?>
                   </div>
                    
                    <div class="w-list-text">
                        <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                        <p>فى: <?php echo get_the_date( 'd-F-Y' ); ?> | الزيارات: <?php echo getPostViews(get_the_ID()); ?></p>
                    </div>
                    
                    <div class="clearfloat"></div>
            	</div>
			  <?php endwhile;  wp_reset_query(); ?>
            </div>


<?php
echo '</div>';
}
		
// Widget Backend 
public function form( $instance ) {
if ( isset( $instance[ 'name' ] ) ) {
$name = $instance[ 'name' ];
}
else {
$name = __( 'مختارات:', 'wpb7_widget_domain' );
}
if ( isset( $instance[ 'posts_no' ] ) ) {
$posts_no = $instance[ 'posts_no' ];
}
else {
$posts_no = __( '5', 'wpb7_widget_domain' );
}
if ( isset( $instance[ 'cat' ] ) ) {
$cat = $instance[ 'cat' ];
}
else {
$cat = __( '1', 'wpb7_widget_domain' );
}
// Widget admin form
?>
<p>
<label for="<?php echo $this->get_field_id( 'name' ); ?>"><?php _e( 'العنوان:' ); ?></label> 
<input class="widefat" id="<?php echo $this->get_field_id( 'name' ); ?>" name="<?php echo $this->get_field_name( 'name' ); ?>" type="text" value="<?php echo esc_attr( $name ); ?>" />
</p>
<p>
<label for="<?php echo $this->get_field_id( 'posts_no' ); ?>"><?php _e( 'عدد المقالات:' ); ?></label> 
<input class="widefat" id="<?php echo $this->get_field_id( 'posts_no' ); ?>" name="<?php echo $this->get_field_name( 'posts_no' ); ?>" type="text" value="<?php echo esc_attr( $posts_no ); ?>" />
</p>
<p>
<label for="<?php echo $this->get_field_id( 'cat' ); ?>"><?php _e( 'اختر القسم:' ); ?></label>

<!-- Category Select Menu -->   
<select id="<?php echo $this->get_field_id('cat'); ?>" name="<?php echo $this->get_field_name('cat'); ?>" class="widefat" style="width:100%;">
    <?php foreach(get_terms('category','parent=0&hide_empty=0') as $term) { ?>
    <option <?php selected( $instance['cat'], $term->term_id ); ?> value="<?php echo $term->term_id; ?>"><?php echo $term->name; ?></option>
    <?php } ?>      
</select>
</p>
<?php 
}
	
// Updating widget replacing old instances with new
public function update( $new_instance, $old_instance ) {
$instance = array();
$instance['name'] = ( ! empty( $new_instance['name'] ) ) ? strip_tags( $new_instance['name'] ) : '';
$instance['posts_no'] = ( ! empty( $new_instance['posts_no'] ) ) ? strip_tags( $new_instance['posts_no'] ) : '';
$instance['cat'] = ( ! empty( $new_instance['cat'] ) ) ? strip_tags( $new_instance['cat'] ) : '';
return $instance;
}
} // Class wpb7_widget ends here

// Register and load the widget
function wpb7_load_widget() {
	register_widget( 'wpb7_widget' );
}
add_action( 'widgets_init', 'wpb7_load_widget' );

 ?>