<?php
	get_header();
    while ( have_posts() ) : the_post();
?>
<section>
    <div class="oneNews pages">
        <div class="container  pt-3">
            <div class="row">
                <div class="col-xl-8 right-side overflow-auto">
                    <div class="container">

                        <ol class="breadcrumb tree">
                            <li class="breadcrumb-item"><a href="<?php echo get_home_url(); ?>">الرئيسيه</a></li>
                                <?php
                                    foreach (get_the_category( get_the_id() ) as $cate) {
                                ?>
                                    <li class="breadcrumb-item">
                                        <a href="<?php echo get_category_link( $cate->cat_ID ); ?>">
                                            <?php echo $cate->name; ?>
                                        </a>
                                    </li>
                                <?php } ?>
                            </li>
                        </ol>
                        <article class="post">
                            <h1 class="title"><?php echo get_the_title();?></h1>
                            <div class="dateTime">
                                <div class="author">
                                    <a href="<?php echo thePostAuthor()['author_url']; ?>" title="<?php echo thePostAuthor()['name']; ?>">
                                        <img class="authorImage" src="<?php echo thePostAuthor()['avartar']; ?>"
                                            alt="<?php echo thePostAuthor()['name']; ?>">
                                        <div class="authorNameBox">
                                            <span>كتب</span>
                                            <span class="authorName"><?php echo thePostAuthor()['name']; ?></span>
                                        </div>
                                    </a>
                                </div>


                                <div class="time">
                                    <span class="day"><?php echo getArabicDate(get_the_date())['day']; ?> </span>
                                    <span> <?php echo get_the_date(); ?> </span>
                                </div>
                            </div>

                            <div class="image-box">
                                <img class="img-fluid" src="<?php echo thePostThubmailLink(); ?>"
                                        alt="<?php echo esc_html(get_post_meta ( $image_id, '_wp_attachment_image_alt', true )); ?>">
                            </div>
                            <div class="article-body">
                                <?php the_content(); ?>

                                <?php
                                    $related_args = array(
                                        'post_type' => 'post',
                                        'posts_per_page' => 5,
                                        'post_status' => 'publish',
                                        'post__not_in' => array( get_the_ID() ),
                                        'orderby' => 'rand'
                                    );
                                    $related = new WP_Query( $related_args );
                                    
                                    if( $related->have_posts() ) :
                                ?>
                                <div class="readMore">
                                    <ul>
                                        <?php while( $related->have_posts() ): $related->the_post(); ?>
                                        <li>
                                            <a href="<?php echo get_the_permalink();?>"
                                                title="<?php echo get_the_title();?>">
                                                <h4><?php echo get_the_title();?></h4>
                                            </a>
                                        </li>
                                        <?php endwhile; wp_reset_query();?>
                                    </ul>
                                </div>
                                <?php endif;  ?>
                                
                                <?php
                                    $posttags = get_the_tags();
                                    if ($posttags) {
                                ?>
                                    <div class="tags">
                                        <ul>
                                            <?php foreach($posttags as $tag) { ?>
                                                <li>
                                                    <h3>
                                                        <a href="<?php echo get_tag_link( $tag->term_id ); ?>" title="<?php echo $tag->name; ?>">
                                                            <?php echo $tag->name; ?>
                                                        </a>
                                                    </h3>
                                                </li>
                                            <?php } ?>
                                        </ul>
                                    </div>
                                <?php } ?>
                            </div>
                        </article>
                        
                        <?php get_template_part('includes/match/single-related-posts'); ?>

                        <?php get_template_part('comments'); ?>
                    </div>
                </div>
                <?php get_sidebar(); ?>
            </div>
        </div>
    </div>
</section>

<?php
    endwhile;
    wp_reset_query();
    get_footer();
?>